<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StorePurchaseRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array|string>
     */
    public function rules(): array
    {

       
        return [

            'customer_id' => 'required|numeric',
            'vendor_id' => 'required|numeric',
            'billingPerson' => 'required|string|max:255',
            'billingEmail' => 'required|string|max:255',
            'billingPhone' => 'required|string|max:255',
            'billingAddress' => 'required|string|max:255',
            'billingCity' => 'required|string|max:255',
            'billingState_id' => 'required|numeric',
            'billingPostal' => 'required|string|max:255',
            'billingCountry_id' => 'required|numeric',
            'shippingCompany' => 'required|string|max:255',
            'shippingContact' => 'required|string|max:255',
            'shippingEmail' => 'required|string|max:255',
            'shippingPhone' => 'required|string|max:255',
            'shippingAddress' => 'required|string|max:255',
            'shippingCity' => 'required|string|max:255',
            'shippingState_id' => 'required|numeric',
            'shippingPostal' => 'required|string|max:255',
            'shippingCountry_id' => 'required|numeric'
            
        ];
    }
}
