<?php

namespace App\Models\COA;

use Illuminate\Database\Eloquent\Model;

class SubAccount extends Model
{
    protected $fillable = ['*'];
    protected $table = 'coa_sub_accounts';


    public function relatable()
    {
        return $this->morphTo();
    }

    public function parent()
    {

        return $this->belongsTo(MainAccount::class, 'coa_account_head_id');

    }
    public $timestamps = false;
}
