<?php

namespace App\Models;

use App\Models\COA\SubAccount;
use Illuminate\Database\Eloquent\Model;

class Customer extends Model
{
    protected $fillable = [
        'company',
        'firstName',
        'lastName',
        'email',
        'phone',
        'country_id',
        'state_id',
        'company_id',
        'isActive',
        'city',
        'address',
        'postalCode',
        'user_id',
    ];

    public function cao_entry()
    {
        return $this->morphMany(SubAccount::class, 'relatable');
    }
}
