<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class FixedAssetItem extends Model
{
    protected $fillable = ['*'];

    public function orderItem()
    {
        return $this->belongsTo(OrderItem::class, 'item_id', 'id');
    }

    public function purchase()
    {
        return $this->belongsTo(FixedAsset::class);
    }

    public function invoiceItem()
    {
        return $this->hasOne(FixedAssetInvoiceItem::class, 'item_id', 'item_id');
    }
}
