<?php

namespace App\Models;

use Illuminate\Support\Str;

use Illuminate\Database\Eloquent\Model;



class Journal extends Model
{

    //use LogsActivity;

    protected $fillable = ['*'];

    //protected static $logAttributes = ['*'];

    protected $primaryKey = 'id'; // Specify primary key name
    public $incrementing = false; // UUIDs are not auto-incrementing

    protected static function boot()
    {
        parent::boot();

        static::creating(function ($model) {
            $model->id = Str::uuid(); // Generate UUID for primary key
        });
    }

     public function vendor()
  {
    return $this->belongsTo(Vendor::class, 'vendor_id');
  }
   public function bank()
  {
    return $this->belongsTo(PaymentGateway::class, 'gateway_id');
  }

}
