<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Str;

class PurchaseReceiving extends Model
{

    protected $primaryKey = 'id'; // Specify primary key name
    public $incrementing = false; // UUIDs are not auto-incrementing

    protected static function boot()
    {
        parent::boot();

        static::creating(function ($model) {
            $model->id = Str::uuid(); // Generate UUID for primary key
        });
    }


}
