<x-app-layout>

    <x-slot name="header">



        <h3>Cash Analysis</h3>
        <select style="float: right; margin-top: -32px;">
        	<option value="2024">2024</option>
        	<option value="2023">2023</option>
        </select>
    </x-slot>





    <div class="container mx-auto px-4 mt-4 ">





        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">





            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">

                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">

                    <tr>

                        <th scope="col" class="px-6 py-6">

                            DESCRIPTION

                        </th>

                        <th scope="col" class="px-6 py-6">

                            JAN

                        </th>

                        <th scope="col" class="px-6 py-6">

                            FEB

                        </th>

                        <th scope="col" class="px-6 py-6">

                            MAR

                        </th>

                        <th scope="col" class="px-6 py-6">

                            APR

                        </th>

                        <th scope="col" class="px-6 py-6">

                            MAY

                        </th>

                        <th scope="col" class="px-6 py-6">

                            JUNE

                        </th>



                        <th scope="col" class="px-6 py-6">

                            JULY

                        </th>



                        <th scope="col" class="px-6 py-6">

                            AUG

                        </th>

                        <th scope="col" class="px-6 py-6">

                            SEP

                        </th>

                        <th scope="col" class="px-6 py-6">

                            OCT

                        </th>

                        <th scope="col" class="px-6 py-6">

                            NOV

                        </th>

                        <th scope="col" class="px-6 py-6">

                            DEC

                        </th>

                    </tr>

                </thead>

                <tbody>





                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <th class=" px-6 py-4">Opening Balance</th>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                    </tr>

                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <th class=" px-6 py-4" style="color: brown;">Operating Receipts</th>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                    </tr>

                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <th class=" px-6 py-4">Payments from Customer</th>

                        @foreach($customer_payments as $cp)

                        <td class="px-6 py-4">{{ $company->companyCurrency }}{{

                            $cp->total_amount_sum+$cp->total_charge_sum }}</td>



                        @endforeach

                    </tr>

                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <th class=" px-6 py-4">Other Payments</th>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                    </tr>
     <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <th class=" px-6 py-4" style="color: brown;">Operating Payments</th>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                    </tr>

                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <th class=" px-6 py-4">Payment to Suppliers</th>

                        @foreach($supplier_payments as $sp)

                        <td class="px-6 py-4">{{ $company->companyCurrency }}{{

                            $sp->total_amount_sum+$sp->total_charge_sum }}</td>



                        @endforeach

                    </tr>
    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <th class=" px-6 py-4">Other Payments</th>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                        <td class="px-6 py-4">$0</td>

                    </tr>
                </tbody>

            </table>



        </div>



    </div>





    @push('scripts')

    <script>



    </script>

    @endpush



</x-app-layout>