<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">
                 
                     
                        <!-- Navigation Links -->
                        <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                           
                            @include('customers.navigation')
                        </div>
                    
        
                   
                  
                </div>
            </div>
        
          
        </nav>
        
    </x-slot>

    <div class="container mx-auto px-4 mt-4 " id="app">
        
    
        
    <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">
        
   
    <div class="py-4 pb-4">
        <form method="post" action="{{ route('customers.update', $customer->id) }}" class="mt-6 space-y-6">
            @csrf
            @method('PUT')
            @include('customers.partials.form')
        
         
            <div class="flex items-center justify-end mt-4">
                <x-primary-button>{{ __('Save') }}</x-primary-button>
            </div>
        </form>
        
   
        
    </div>
</div>

    </div>


    @push('scripts')
    @include('customers.scripts.form')
@endpush

</x-app-layout>
