<!DOCTYPE html>

<html>



<head>

  <title></title>

  <style>

    @page {

      size: a4 portrait;

      margin: 0.5;

      padding: 0.5; // you can set margin and padding 0

    }



    body {

      margin: 0;

      font-family: 'Montserrat', Helvetica, Arial, serif;

      font-size: 1rem;

      font-weight: 400;

      line-height: 1.45;

      color: #626262;

      text-align: left;

      background-color: #ffffff;

    }



    .h2 {

      padding: 12px;

    }



    th,

    td {

      padding: 4px 0;

      text-align: left;

      vertical-align: middle;

    }



    h1,

    h2 {

      font-size: 1.74rem;

    }



    h2 {

      margin-bottom: 0.5rem;

      font-family: inherit;

      font-weight: 500;

      line-height: 1.2;

      color: #2C2C2C;

    }



    .table {

      width: 100%;

      /* margin-bottom: 1rem; */

    }



    .table th {

      font-size: 0.85rem;

    }



    /* .p {

    padding-right: 14px;

    padding-left: 14px;

} */



    .b-heading {

      background: #0A3161;

      color: #fff;

    }



    .invoice-heading {

      padding: 8px 8px;

    }



    .border {

      border: 1px solid #cbcbcb;

      border-collapse: collapse;

    }



    .borderbottom {

      border-bottom: 1px solid #cbcbcb;

    }



    .invoice_heading {

      padding: 5px 8px;

    }



    .tw2,

    .tw3,

    .tw4,

    .tw5 {

      width: 95%;

    }



    .tw1 {

      width: 80%;

    }



    .invoice_top_right_tdth {

      padding: 1px 8px;

      font-size: 0.85rem;

    }



    /* Media Queries */

    @media and only (max-width: 768px) {

      .table th {

        font-size: 0.85rem;

      }



      .tw1,

      .tw3,

      .tw4 {

        width: 88%;

      }



      .tw5 {

        width: 89%;

      }

    }

  </style>

</head>



<body>

  <table class="tw1" align="center">

    <tr>

      <td width="40%">

        <table class="table p">

          <tbody>

            <tr>



              <th width="35%" class="invoice_top_right_tdth">
                @include('icons.logo')

              </th>

            </tr>

            <tr>

              <th width="20%" class="invoice_top_right_tdth">{{ $company->companyName }}</th>

            </tr>

            <tr>

              <th width="20%" class="invoice_top_right_tdth"> {!! $company->companyAddress !!}

              </th>

            </tr>

            <tr>

              <th width="20%" class="invoice_top_right_tdth"> {{ $company->companyPhone }}</th>

            </tr>



          </tbody>

        </table>

      </td>

      <td width="20%">

      </td>

      <td width="40%">



        <table class="table p">

          <tbody>





            <tr>

              <th class="invoice_top_right_tdth"></th>

              <td style="text-align: left" class="invoice_top_right_tdth">

                <b style="font-size: 18px">SO# {{ $company->companyPrefix }}{{$order->saleorder_id}}</b>

              </td>

            </tr>





          </tbody>

        </table>

        <table class="table p">

          <tbody>





            <tr>

              <th class="invoice_top_right_tdth"></th>

              <td style="text-align: left" class="invoice_top_right_tdth">

                <b>PO Ref#</b> {{$order->ref}}

              </td>

            </tr>



            <tr>

              <th class="invoice_top_right_tdth"> </th>

              <td style="text-align: left" class="invoice_top_right_tdth">

                <b>Date:</b> {{ Carbon\Carbon::parse($order->orderdate)->format('d M y') }}

              </td>

            </tr>

            <tr>

              <th class="invoice_top_right_tdth"></th>

              <td style="text-align: left" class="invoice_top_right_tdth">

                <b>Payment:</b> {{$order->payment->name}}

              </td>

            </tr>

          </tbody>

        </table>

      </td>

    </tr>

  </table>

  <table class="tw2" align="center">

    <tr>

      <td>

        <table class="table border">

          <thead>

            <tr class="b-heading">

              <th colspan="3" class="invoice_heading">Billing Address</th>

            </tr>

          </thead>

          <tbody>

            <tr>

              <td colspan="2" class="invoice_top_right_tdth"><b>Company Name</b><br>{{

                $order->customer->company }} </td>

              <td class="invoice_top_right_tdth"><b>Primary Contact</b><br>{{ $order->billingPerson}}</td>

            </tr>



            <tr>

              <td colspan="3" class="invoice_top_right_tdth"><b>Address</b><br> {{

                $order->billingAddress}}</td>

            </tr>



            <tr>

              <td class="invoice_top_right_tdth"><b>City</b><br>{{ $order->billingCity}}</td>

              <td class="invoice_top_right_tdth"><b>State</b><br>{{

                $order->getStateInfo($order->billingState_id)->name}}</td>

              <td class="invoice_top_right_tdth"><b>Zip/Postal</b><br>{{$order->billingPostal}}</td>

            </tr>



            <tr>

              <td class="invoice_top_right_tdth"><b>Phone</b><br>{{$order->billingPhone}}</td>

              <td colspan="2" class="invoice_top_right_tdth"><b>Email</b><br>{{$order->billingEmail}}

              </td>

            </tr>



          </tbody>

        </table>

      </td>

      <td>

        <table class="table border">

          <thead>

            <tr class="b-heading">

              <th colspan="3" class="invoice_heading">Shipping Address</th>

            </tr>

          </thead>

          <tbody>

            <tr>

              <td colspan="2" class="invoice_top_right_tdth"><b>Company

                  Name</b><br>{{$order->shippingCompany}}</td>

              <td class="invoice_top_right_tdth"><b>Primary Contact</b><br>{{$order->shippingContact}}

              </td>

            </tr>



            <tr>

              <td colspan="3" class="invoice_top_right_tdth"><b>Address</b><br>{{$order->shippingAddress}}

              </td>

            </tr>



            <tr>

              <td class="invoice_top_right_tdth"><b>City</b><br>{{$order->shippingCity}}</td>

              <td class="invoice_top_right_tdth"><b>State</b><br>{{

                $order->getStateInfo($order->shippingState_id)->name}}</td>

              <td class="invoice_top_right_tdth"><b>Zip/Postal</b><br>{{$order->shippingPostal}}</td>

            </tr>



            <tr>

              <td class="invoice_top_right_tdth"><b>Phone</b><br>{{$order->shippingPhone}}</td>

              <td colspan="2" class="invoice_top_right_tdth"><b>Email</b><br>{{$order->shippingEmail}}

              </td>

            </tr>



          </tbody>

        </table>

      </td>

    </tr>

  </table>

  <table class="tw3" align="center">

    <tr>

      <td>

        <table class="table border">

          <thead>

            <tr class="b-heading">

              <th class="invoice_heading">Sale Rep Name</th>

              <th class="invoice_heading">Sale Rep Phone </th>



              <th class="invoice_heading">Sale Rep Email</th>

            </tr>

          </thead>

          <tbody>

            <tr>

              <td class="invoice_top_right_tdth">

                {{$order->saleRep->name ?? 'N/A'}}

              </td>

              <td class="invoice_top_right_tdth">{{$order->saleRep->phone ?? 'N/A'}}</td>



              <td class="invoice_top_right_tdth">{{$order->saleRep->email ?? 'N/A'}}</td>

            </tr>

          </tbody>

        </table>

      </td>

    </tr>





  </table>

  <table class="tw4" align="center">

    <tr>

      <td>

        <table class="table border">

          <thead>

            <tr class="b-heading">

              <th class="invoice_heading" width="20%">PART NO. </th>

              <th class="invoice_heading" width="40%">DESCRIPTION </th>

              <th class="invoice_heading" width="15%">UNIT PRICE </th>

              <th class="invoice_heading" width="10%">Qty</th>

              <th class="invoice_heading" width="15%">Total</th>

            </tr>

          </thead>

          <tbody>

            @php



            $subtotal = 0;



            $chargestotal = 0;



            @endphp



            @foreach($order->orderItems as $item)

            <tr>

              <td class="invoice_top_right_tdth">{{$item->name}}</td>

              <td class="invoice_top_right_tdth">{{$item->description}}</td>

              <td class="invoice_top_right_tdth">{{ $company->companyCurrency }}{{$item->price}}</td>

              <td class="invoice_top_right_tdth">{{$item->quantity}}</td>

              <td class="invoice_top_right_tdth">

                {{ $company->companyCurrency }}{{$item->quantity*$item->price}}</td>

            </tr>

            @php $subtotal = $subtotal + ($item->price*$item->quantity) @endphp

            @endforeach

          </tbody>

        </table>

      </td>

    </tr>

  </table>



  <table class="tw5" align="center">

    <tr>

      <td style="width: 60%">



      </td>

      <td style="width: 40%">

        <table class="table border">

          <tbody>



            <tr class="borderbottom">

              <th class="invoice_heading" style="font-size: 14px !important;">Subtotal</th>

              <td class="invoice_heading" style="font-size: 14px;">{{ $company->companyCurrency }}{{

                $subtotal }}</td>

            </tr>

            @foreach($order->orderCharges as $key => $charge)

            <tr class="borderbottom">

              <th class="invoice_heading" style="font-size: 14px !important;">{{ $charge->chargeName->name

                }}</th>

              <td class="invoice_heading" style="font-size: 14px;">{{ $company->companyCurrency

                }}</span>{{ $charge->amount }}</td>

            </tr>

            @php $chargestotal = $chargestotal + $charge->amount @endphp

            @endforeach

            <tr>

              <th class="invoice_heading" style="font-size: 14px !important;">Total</th>

              <td class="invoice_heading" style="font-size: 14px;"> {{ $company->companyCurrency

                }}</span>{{



                number_format($subtotal+$chargestotal,2) }}</td>

            </tr>

          </tbody>

        </table>

      </td>

    </tr>

  </table>



  {{-- <table class="table tw5" align="center">

    <tbody>



      <tr class="border ">

        <th width="20%" class="tbhp">Tracking</th>

        <td width="80%" class="tbhp">xxxxxx</td>

      </tr>

      <tr>

        <th width="20%" class="tbhp">Serials</th>

        <td width="80%" class="tbhp">xxxxxx</td>

      </tr>

    </tbody>

  </table> --}}

</body>



</html>