<form method="post" action="{{ route('receivings.store', $purchase->id) }}" class="mt-6 space-y-6" id="receivingForm">
    @csrf
    @include('partials.errors')


    <div class="flex flex-wrap gap-6">
        <div class="w-full md:w-1/3">



            <label for="invoice">Invoice #</label><br>

            <input type="text" name="invoiceNumber" class="form-control" required>

        </div>


        <div class="w-full md:w-1/3">



            <label for="invoice">Invoice Date</label><br>

            <input type="date" name="invoiceDate" class="form-control" required>



        </div>
        <div class="w-full md:w-1/3">

            <div class="form-group">

                <label for="total">Total Quantity</label><br>

                <input type="number" class="form-control" name="quantity" required>

            </div>

        </div>
        <div class="w-full md:w-1/3">



            <label for="vc">Vendor</label><br>

            <input type="text" class="form-control" id="vc" value="{{ $purchase->vendor->company }}" disabled=""
                style="background-color: #e5e7eb;">

            <input type="hidden" name="vendor_id" class="form-control" value="{{ $purchase->vendor->id }}">

        </div>
        <div class="w-full md:w-1/3">



            <label for="invoice">Tracking Number</label><br>

            <input type="text" class="form-control" name="trackingNumber" required>



        </div>

    </div>
    <div class="flex flex-wrap gap-6">

        <div class="w-full md:w-1/3">
            <label for="pc">Cost</label><br>

            <input type="number" class="form-control cal" name="productCost" v-model="productCost" id="pc" required>
        </div>

        <div class="w-full md:w-1/3">
            <label for="freight">Freight</label><br>
            <input type="number" class="form-control cal" name="freight" v-model="freight" id="freight" required>
        </div>

        <div class="w-full md:w-1/3">

            <label for="tex">Tax</label><br>
            <input type="number" class="form-control cal" name="tax" id="tax" v-model="tax" required>
        </div>


        <div class="w-full md:w-1/3">

            <label for="ecw">Waste Fee</label><br>

            <input type="number" class="form-control cal" name="ecw" id="ecw" v-model="ecw" required>

        </div>

        <div class="w-full md:w-1/3">

            <label for="ecw">Total</label><br>

            <input type="text" class="form-control" readonly="" :value="total">



        </div>
    </div>
    <div class="flex items-center justify-end mt-4">
        <x-primary-button>{{ __('Save') }}</x-primary-button>
    </div>
    </div>




</form>