<x-app-layout>

    <x-slot name="header">

        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">

            <!-- Primary Navigation Menu -->

            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">

                <div class="flex justify-between h-8">





                    <!-- Navigation Links -->

                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">



                    </div>

                </div>

            </div>





        </nav>



    </x-slot>





    <div class="container mx-auto px-4 mt-4 " id="app">

        <div class="text-center">

            <x-auth-session-status class="mb-4" :status="session('success')" />

        </div>



        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 bg-white mb-4">





            <h3 class="relative group mt-8" style="padding: 15px 15px 15px 25px;

            font-size: 20px;">Order Details

                <span id="striped-columns" class="absolute -top-[140px]"></span> <a

                    class="ml-2 text-blue-700 opacity-0 transition-opacity dark:text-blue-500 group-hover:opacity-100"

                    href="#striped-columns" aria-label="Link to this section: Striped columns">#</a>

            </h3>

            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">

                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">

                    <tr>

                        <th scope="col" class="px-6 py-6">

                            SO#

                        </th>

                        <th scope="col" class="px-6 py-6">

                            COMPANY

                        </th>

                        <th scope="col" class="px-6 py-6">

                            PO REF#

                        </th>

                        <th scope="col" class="px-6 py-6">



                        </th>





                        <th scope="col" class="px-6 py-6">



                        </th>

                    </tr>

                </thead>

                <tbody>





                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <td class="px-6 py-4">{{ $company->companyPrefix }}{{ $order->saleorder_id }}</td>

                        <td class="px-6 py-4">{{ $order->customer->company }}</td>

                        <td class="px-6 py-4">{{ $order->ref }}</td>



                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4">



                        </td>

                    </tr>







                </tbody>

            </table>

            <div class="py-4 pb-4">



            </div>

        </div>







        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 bg-white">





            <h3 class="relative group mt-8" style="padding: 15px 15px 15px 25px; font-size: 20px;">Purchase Items

                <span id="striped-columns" class="absolute -top-[140px]"></span> <a

                    class="ml-2 text-blue-700 opacity-0 transition-opacity dark:text-blue-500 group-hover:opacity-100"

                    href="#striped-columns" aria-label="Link to this section: Striped columns">#</a>

            </h3>



            @include('purchase.orders.partials.items')



            <div class="py-4 pb-4">



            </div>

        </div>



        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 bg-white mt-4 "

            v-if="selectedItems.length > 0">





            <h3 class="relative group mt-8 " style="padding: 15px 15px 15px 25px; font-size: 20px;">Purchase Order Form

                <span id="striped-columns" class="absolute -top-[140px]"></span> <a

                    class="ml-2 text-blue-700 opacity-0 transition-opacity dark:text-blue-500 group-hover:opacity-100"

                    href="#striped-columns" aria-label="Link to this section: Striped columns">#</a>

            </h3>

            <div style="padding: 10px 100px 100px 100px;">
               
                @include('purchase.orders.partials.form')
                

            </div>

        </div>





        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 bg-white mb-4 mt-4">





            <h3 class="relative group mt-8" style="padding: 15px 15px 15px 25px;

            font-size: 20px;">Purchases

                <span id="striped-columns" class="absolute -top-[140px]"></span> <a

                    class="ml-2 text-blue-700 opacity-0 transition-opacity dark:text-blue-500 group-hover:opacity-100"

                    href="#striped-columns" aria-label="Link to this section: Striped columns">#</a>

            </h3>

            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">

                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">

                    <tr>

                        <th scope="col" class="px-6 py-6">

                            PO#

                        </th>

                        <th scope="col" class="px-6 py-6">

                            VENDOR

                        </th>

                        <th scope="col" class="px-6 py-6">



                        </th>









                    </tr>

                </thead>

                <tbody>

                    @php

                    $alphabet =

                    array('','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');



                    @endphp

                    @foreach($purchases as $purchase)



                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">

                        <td class="px-6 py-4">{{ $company->companyPrefix }}{{ $order->saleorder_id }}{{

                            $alphabet[$purchase->purchaseGroup] }}</td>

                        <td class="px-6 py-4">{{ $purchase->vendor->company }}</td>

                        <td class="px-6 py-4">{{ $purchase->ref }}</td>



                        <td class="px-6 py-4"><a href="{{ route('purchases.show', $purchase->id) }}">view</td>

                    </tr>



                    @endforeach



                </tbody>

            </table>

            <div class="py-4 pb-4">



            </div>

        </div>

    </div>





    @push('scripts')

    @include('purchase.scripts.order')

    @endpush



</x-app-layout>