<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Reports Access') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900 dark:text-gray-100">

                    <div class="container">
                        <section id="sales" class="p-8">
                            {{-- <h2 class="text-2xl font-bold mb-4" style="font-size: 30px;">Sales</h2> --}}
                            <div class="flex flex-wrap gap-6">
                                <div class="w-full md:w-1/3">
                                    <ul class="space-y-2">
                                        <li><a href="{{ route('reports.quotations') }}" class="text-blue-600">Quotation
                                                Report</a></li>
                                        <li><a href="{{ route('reports.orders') }}" class="text-blue-600">Sale Order
                                                Report</a></li>
                                        <li><a href="{{ route('reports.pending-orders') }}"
                                                class="text-blue-600">Pending Sale Order Report</a></li>
                                        <li><a href="{{ route('reports.sales-register') }}" class="text-blue-600">Sales
                                                Register Report</a></li>
                                        <li><a href="{{ route('reports.inventory-aging-report') }}"
                                                class="text-blue-600">Inventory Aging Report</a></li>
                                        <li><a href="{{ route('reports.credit-notes') }}" class="text-blue-600">Credit
                                                Note Report</a></li>
                                    </ul>
                                </div>
                                <div class="w-full md:w-1/3">
                                    <li><a href="{{ route('reports.trail-balance') }}" class="text-blue-600">Trail
                                            Balance</a></li>
                                </div>
                                <div class="w-full md:w-1/3">

                                </div>
                                <div class="w-full md:w-1/3">

                                </div>
                            </div>

                        </section>

                    </div>


                </div>
            </div>
        </div>
    </div>
</x-app-layout>