<x-nav-link :href="route('orders.show', $order->id)" :active="request()->routeIs('orders.show', $order->id)">

    {{ __('Details') }}

</x-nav-link>

@if(!$order->saleorder_id)

<x-nav-link :href="route('orders.convert', $order->id)" :active="request()->routeIs('orders.convert', $order->id)">

    {{ __('Convert into Sale Order') }}

</x-nav-link>

@endif

@if($order->gateway_id)

@include('partials.status-form')

@else

<x-nav-link :href="route('orders.edit', $order->id)" :active="request()->routeIs('orders.edit')" style="color:red">

    {{ __('please complete payment process') }}

</x-nav-link>

@endif

<x-nav-link :href="route('pdf.order', $order->id)" :active="request()->routeIs('pdf.order')" target="_blank">

    {{ __('PDF') }}

</x-nav-link>





<div class="hidden sm:flex sm:items-center sm:ml-6" style="border-bottom: 1px solid #ede9e985;">

    <x-dropdown align="right" width="48">

        <x-slot name="trigger">

            <button

                class="inline-flex items-center px-3 py-2 border border-transparent text-sm leading-4 font-medium rounded-md text-gray-500 dark:text-gray-400 bg-white dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none transition ease-in-out duration-150">

                <div>References</div>



                <div class="ml-1">

                    <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">

                        <path fill-rule="evenodd"

                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"

                            clip-rule="evenodd" />

                    </svg>

                </div>

            </button>

        </x-slot>



        <x-slot name="content">



            <x-dropdown-link :href="route('reference.text', $order->id).'?ref=order'"

                :active="request()->routeIs('reference.text', $order->id)">

                {{ __('Text') }}

            </x-dropdown-link>



            <x-dropdown-link :href="route('reference.attachments', $order->id).'?ref=order'"

                :active="request()->routeIs('reference.attachments', $order->id)">

                {{ __('Attachments') }}

            </x-dropdown-link>



        </x-slot>

    </x-dropdown>



</div>

@if(in_array(auth()->user()->role_id, [1,4,5]))

<x-nav-link :href="route('purchases.saleorder', $order->id)"

    :active="request()->routeIs('purchases.saleorder', $order->id)">

    {{ __('Purchases') }}

</x-nav-link>

@endif

@if(in_array(auth()->user()->role_id, [1,6,7]))

<x-nav-link :href="route('orders.invoices').'?ref_public_key='.$order->id"

    :active="request()->routeIs('orders.invoices')">

    {{ __('Invoices') }}

</x-nav-link>

@endif

@if(in_array(auth()->user()->role_id, [1,2,3]))

<x-nav-link :href="route('orders.edit', $order->id)" :active="request()->routeIs('orders.edit')">

    {{ __('Modify') }}

</x-nav-link>

@endif

