<x-datatable-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800  ">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">
                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                        @if(request()->get('purchaseable_orders'))
                        @include('purchase.navigation')
                        @else
                        @include('sales.navigation')
                        @endif
                    </div>
                </div>
            </div>
        </nav>
    </x-slot>

    <div class="container mx-auto px-4 mt-4 ">
       

        <div class="relative overflow-x-auto sm:rounded-lg px-4">
            <br><br>
            @include('partials.datatable')

        </div>

    </div>
    </x-app-layout>