<x-app-layout>
    <x-slot name="header">

        <h3>Receivable Payment</h3>
    </x-slot>


    <div class="container mx-auto px-4 mt-4 " id="app">


        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">
            <form method="post" action="{{ route('receivable-payment.store') }}" class="mt-6 space-y-6">
                @csrf
                @include('partials.errors')

                @include('sales.receivable-payment.partials.gateway')
                <div class="flex items-center  mt-4 ml-2" v-if="customer_id">
                    <x-primary-button>{{ __('Save') }}</x-primary-button>
                </div>
                @include('sales.receivable-payment.partials.invoices')
                <br><br><br><br>
            </form>
        </div>

    </div>


    @push('scripts')
    @include('sales.scripts.receivable-payment')
    @endpush

</x-app-layout>