<table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
    <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
        <tr>
            <th scope="col" class="px-6 py-6">
                Date
            </th>
            <th scope="col" class="px-6 py-6">
                Invoice Number
            </th>
            <th scope="col" class="px-6 py-6">
                Invoice Amount
            </th>
            <th scope="col" class="px-6 py-6">
                CN Amount
            </th>
            <th scope="col" class="px-6 py-6">
                Invoice Amount Due
            </th>
            <th scope="col" class="px-6 py-6">
                Payment ({{ $company->companyCurrency }}<span id="recevied">@{{thetotal}}</span>)
            </th>

        </tr>
    </thead>
    <tbody>


        <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700" v-for="(invoice, index) in invoices">

            <td class="px-6 py-4">@{{ formatInvoiceDate(invoice.invoicedate) }} <input type="hidden" name="invoices[]"
                    :value="invoice.id" /></td>
            <td class=" px-6 py-4">{{$company->companyPrefix}}@{{ invoice.saleorder_id }}-@{{ invoice.invoice_serial }}
            </td>
            <td class="px-6 py-4">{{$company->companyCurrency}}@{{
                parseFloat(invoice.total_amount_sum)+parseFloat(invoice.total_charge_sum) }}
            </td>
            <td class="px-6 py-4">{{$company->companyCurrency}}@{{ parseFloat(invoice.memo_amount_sum) }}</td>
            <td class="px-6 py-4">{{$company->companyCurrency}}@{{
                parseFloat(invoice.total_amount_sum)+parseFloat(invoice.total_charge_sum)-parseFloat(invoice.memo_amount_sum)-parseFloat(invoice.total_payment_sum)
                }}</td>
            <td class="px-6 py-4"><input type="number" class="amount-receivable" name="amount[]" required value="0"
                    min="0" style="width: 100%;" @keyup="calculateTotal()" @keydown="calculateTotal()"
                    @change="calculateTotal()"
                    :max=" parseFloat(invoice.total_amount_sum)+parseFloat(invoice.total_charge_sum)-parseFloat(invoice.memo_amount_sum)-parseFloat(invoice.total_payment_sum)"
                    :id="'amount-'+invoice.id"><br><a href="javascript:void(0)" style="    color: darkorchid;
                    font-size: 11px;
                    padding: 10px;
                " @click="payfull(invoice)" :id="'full-link-'+invoice.id">pay in
                    full</a>
                <p v-if="invoice.memo_amount_sum > 0">
                    *credit note(s)
                <p>
            </td>
        </tr>



    </tbody>
</table>