<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\GeneralController;
use App\Http\Controllers\AttachmentController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('countries', [GeneralController::class, 'countries'])->name('countries');
Route::get('states', [GeneralController::class, 'states'])->name('states');
Route::get('counties', [GeneralController::class, 'counties'])->name('counties');

Route::get('orders/get-quote-no/{id}', [GeneralController::class, 'quoteno'])->name('quoteno');
