<?php
use App\Http\Controllers\FixedAssets\FixedAssetController;
use App\Http\Controllers\FixedAssets\FixedAssetInvoiceController;
use App\Http\Controllers\FixedAssets\FixedAssetDepreciationController;
use App\Http\Controllers\FixedAssets\FixedAssetPaymentController;
use App\Http\Controllers\FixedAssets\FixedAssetImpairmentController;



Route::get('fixed-assets/create', [FixedAssetController::class, 'create'])
    ->name('fixed-assets.create');

Route::get('fixed-assets/invoices', [FixedAssetInvoiceController::class, 'orderInvoices'])
    ->name('fixed-assets.invoices');

Route::post('fixed-assets/invoices/{id}', [FixedAssetInvoiceController::class, 'store'])
    ->name('fixed-assets-invoices.store');

Route::get('fixed-assets/invoices', [FixedAssetInvoiceController::class, 'index'])->name('fixed-assets.invoices');

Route::get('fixed-assets/invoices/detail/{id}', [FixedAssetInvoiceController::class, 'show'])->name('fixed-assets-invoices.show');

//Route::get('debit-notes', [FixedAssetInvoiceController::class, 'debitnotes'])->name('debit-notes');
//Route::get('debit-notes/detail/{id}', [FixedAssetInvoiceController::class, 'debitnotes_show'])->name('debit-notes.show');
//Route::get('invoices/debit-notes', [FixedAssetInvoiceController::class, 'invoiceDebitNotes'])->name('invoices-debit-notes');


Route::get('fixed-assets', [FixedAssetController::class, 'index'])
    ->name('fixed-assets');

Route::get('fixed-asset-orders', [FixedAssetController::class, 'purchaseable'])
    ->name('fixed-asset-orders');

Route::get('fixed-assets/{id}', [FixedAssetController::class, 'show'])
    ->name('fixed-assets.show');

Route::get('orders/fixed-assets/{id}', [FixedAssetController::class, 'saleorder'])
    ->name('fixed-assets.saleorder');

Route::post('orders/fixed-assets', [FixedAssetController::class, 'store'])
    ->name('fixed-assets.store');



Route::get('fixed-assets-depreciation', [FixedAssetDepreciationController::class, 'index'])
    ->name('fixed-assets.depreciation');

    Route::get('fixed-assets-impairment', [FixedAssetImpairmentController::class, 'index'])
    ->name('fixed-assets.impairment');

//payable invoice payable payment record

// Route::get('payable-payment', [FixedAssetPaymentController::class, 'index'])->name('payable-payment');
// Route::post('payable-payment/store', [FixedAssetPaymentController::class, 'store'])->name('payable-payment.store');

// Route::get('api/fixed-assets/invoices/payment-payables/{id}', [FixedAssetPaymentController::class, 'payableInvoices'])->name('invoices.payable');



