<script>
    const app = Vue.createApp({
   data() {
     return {
     
       searchQuery: '',
       suggestionLists: [],
       selectedCustomer: null,
       customers:[],
       invoices:[],
       amounts : [],
       customer_id: null,
     
     };
   },

   computed: {
  

  },
   methods: {
    
    
    async fetchInvoices() { 
     
      try {
       const response = await axios.get(`/api/invoices/payment-receivables/${this.customer_id}`);
       this.invoices = response.data;
      // this.selectedCustomer ? this.selectedCustomer : this.selectedCustomer = responseCustomers.data[0].id;
       
     } catch (error) {
       console.error('Error fetching data:', error);
     }
    

     },
     formatInvoiceDate(dateString) {
      const options = { month: 'short', day: '2-digit', year: 'numeric' };
      return new Date(dateString).toLocaleDateString('en-US', options);
    },
    payfull(invoice){
      
        let amountInput = document.getElementById('amount-'+invoice.id);
        amountInput.value = parseFloat(invoice.total_amount_sum)+parseFloat(invoice.total_charge_sum)-parseFloat(invoice.total_payment_sum);
        document.getElementById('full-link-'+invoice.id).remove();
    },
    async fetchCustomers() { 
      if(this.searchQuery.length > 2){
      try {
       const response = await axios.get(`/api/coa/customers?searchQuery=${this.searchQuery}`);
       this.customers = response.data;
      // this.selectedCustomer ? this.selectedCustomer : this.selectedCustomer = responseCustomers.data[0].id;
       
     } catch (error) {
       console.error('Error fetching data:', error);
     }
    }

     },
   
     selectCustomer(customer) {
      this.selectedCustomer = customer;
      this.customer_id = customer?customer.related_id:null;
      this.customers = [];
      this.searchQuery = '';
     
    },
   
   },
   async created() {
    this.fetchInvoices()
    
   },
 });

 app.mount('#app');


</script><?php /**PATH C:\wamp64\www\sp-portal\resources\views/sales/scripts/invoice-payment.blade.php ENDPATH**/ ?>