<table class="w-full border-collapse border border-gray-400 mb-4">
    <thead>
        <tr>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Item</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Description</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Quantity</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Price</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Total</th>
            
        </tr>
    </thead>
    <tbody>

        <?php $__currentLoopData = $order->invoiceItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php
        $theitem = $item->part($item->item_id);
        ?>
        <tr>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" class="w-full px-2 py-1 border border-gray-300 rounded" value="<?php echo e($theitem->name); ?>"
                    readonly>
                <input type="hidden" name="item[]" value="<?php echo e($item->item_id); ?>">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="<?php echo e($theitem->description); ?>" readonly>
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="number" name="quantity[]" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="<?php echo e($item->quantity); ?>" max="<?php echo e($item->quantity); ?>" min="1">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="number" name="price[]" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="<?php echo e($item->price); ?>" max="<?php echo e($item->price); ?>" min="0">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" readonly class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="<?php echo e($item->quantity*$item->price); ?>">
            </td>
            
        </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table><?php /**PATH C:\wamp64\www\sp-portal\resources\views/sales/creditnotes/partials/line-items.blade.php ENDPATH**/ ?>