<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">
                 
                     
                        <!-- Navigation Links -->
                        <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                           <?php echo $__env->make('sales.navigation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            
                        </div>
                </div>
            </div>
        
          
        </nav>
        
     <?php $__env->endSlot(); ?>

    <div class="container mx-auto px-4 mt-4 " id="app" v-cloak>
        <div class="text-center">
        <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.auth-session-status','data' => ['class' => 'mb-4','status' => session('success')]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('auth-session-status'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'mb-4','status' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(session('success'))]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
        </div>
        <div class="bg-white p-6 mb-6 shadow-md" style="    padding: 50px 100px 50px 100px;
        ">
        <h1 style="font-weight: bold; font-size: 20px;"><?php echo e($heading); ?></h1>
       <?php echo $__env->make('sales.reports.search-form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">
        
        <?php
             

                $companyCurrency = $company->companyCurrency;
                $companyPrefix = $company->companyPrefix;
        ?>



    <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
        <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th scope="col" class="px-6 py-6">
                    #
                </th>
                <th scope="col" class="px-6 py-6">
                    MONTH
                </th>
                <?php
          $theType = 'SO';
          
          if($heading == 'Quotation Report'){
              $theType = 'QUOTATION';
             
          }

          ?>
                <th scope="col" class="px-6 py-6">
                    <?php echo e($theType); ?> DATE
                </th>
                <th scope="col" class="px-6 py-6">
                    <?php echo e($theType); ?> #
                </th>
                <th scope="col" class="px-6 py-6">
                    CUSTOMER NAME
                </th>
                <th scope="col" class="px-6 py-6">
                    CUSTOMER REF#
                </th>
                <th scope="col" class="px-6 py-6">
                    TOTAL 
                </th>
                <?php if($heading == 'Pending Sales Order Report'): ?>
                 
                <th scope="col" class="px-6 py-6">
                    OVERDUE 
                </th>
                <?php endif; ?>
            </tr>
        </thead>
        <tbody>
           
            <?php $__empty_1 = true; $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
        <th class=" px-6 py-4"> <?php echo e(++$key); ?></th>
        <?php

            if($theType == 'SO'){
                $date = $order->orderdate;
                $theid = $companyPrefix.''.$order->saleorder_id;
            }else{
                $date = $order->quotedate;
                $theid = $order->quoteid;
            }

            $startDate = Carbon\Carbon::parse($date);
            $endDate = Carbon\Carbon::today();

        ?>
        <td class="px-6 py-4"><?php echo e(Carbon\Carbon::parse($date)->format('M')); ?></td>
        <td class="px-6 py-4"><?php echo e(Carbon\Carbon::parse($date)->format('d M y')); ?></td>
        <td class="px-6 py-4"><?php echo e($theid); ?></td>
        <td class="px-6 py-4"><?php echo e($order->customer ? $order->customer->company : ''); ?></td>
        <td class="px-6 py-4"><?php echo e($order->ref); ?></td>
        <td class="px-6 py-4">
           <?php echo e($companyCurrency); ?><?php echo e(number_format($order->total_amount_sum + $order->total_charge_sum, 2)); ?>

        </td>
        <?php if($heading == 'Pending Sales Order Report'): ?>
        <td class="px-6 py-4"><?php echo e($startDate->diffInDays($endDate)); ?> days</td>
        <?php endif; ?>
    </tr>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
<?php endif; ?>


        </tbody>
    </table>
    <div class="py-4 pb-4">
    <?php echo e($orders->links()); ?>

    </div>
</div>

    </div>


    <?php $__env->startPush('scripts'); ?>
    <?php echo $__env->make('sales.scripts.report', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopPush(); ?>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\wamp64\www\itdportal2023\resources\views/sales/reports/orders.blade.php ENDPATH**/ ?>