<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                        <?php echo $__env->make('purchase.orders.navigation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                </div>
            </div>


        </nav>

     <?php $__env->endSlot(); ?>


    <div class="container mx-auto px-4 mt-4 " id="app">
        <div class="text-center">
            <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.auth-session-status','data' => ['class' => 'mb-4','status' => session('success')]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('auth-session-status'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'mb-4','status' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(session('success'))]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
        </div>

        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 bg-white mb-4">


            <h3 class="relative group mt-8" style="padding: 15px 15px 15px 25px;
            font-size: 20px;">Receiving Details
                <span id="striped-columns" class="absolute -top-[140px]"></span> <a
                    class="ml-2 text-blue-700 opacity-0 transition-opacity dark:text-blue-500 group-hover:opacity-100"
                    href="#striped-columns" aria-label="Link to this section: Striped columns">#</a>
            </h3>
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-6">
                            Invoice#
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Tracking#
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Date
                        </th>
                        <th scope="col" class="px-6 py-6">
                            Amount
                        </th>
                        <th scope="col" class="px-6 py-6">

                        </th>


                    </tr>
                </thead>
                <tbody>

                    <?php $__currentLoopData = $receivings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reveiving): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
                        <td class="px-6 py-4"><?php echo e($reveiving->invoiceNumber); ?></td>
                        <td class="px-6 py-4"><?php echo e($reveiving->trackingNumber); ?></td>
                        <td class="px-6 py-4"><?php echo e(Carbon\Carbon::parse($reveiving->invoiceDate)->format('d M y')); ?></td>

                        <td class="px-6 py-4"><?php echo e($company->companyCurrency); ?><?php echo e($reveiving->productCost+$reveiving->freight+$reveiving->tax+$reveiving->ecw); ?></td>
                        <td class="px-6 py-4">

                            <div class="dropdown-content flex">
                                <a rel="noopener" target="_blank" href="https://blog.hubspot.com/"
                                    style="margin-left: 10px"><?php echo $__env->make('icons.view', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?></a>
                                <a rel="noopener" target="_blank" href="https://academy.hubspot.com/"
                                    style="margin-left: 10px"><?php echo $__env->make('icons.pencil', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?></a>
                                

                        </td>
                    </tr>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </tbody>
            </table>
            <div class="py-4 pb-4">

            </div>
        </div>


        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4 bg-white mt-4 ">


            <h3 class="relative group mt-8 " style="padding: 15px 15px 15px 25px; font-size: 20px;">Purchase Receiving
                Form
                <span id="striped-columns" class="absolute -top-[140px]"></span> <a
                    class="ml-2 text-blue-700 opacity-0 transition-opacity dark:text-blue-500 group-hover:opacity-100"
                    href="#striped-columns" aria-label="Link to this section: Striped columns">#</a>
            </h3>
            <div style="padding: 10px 100px 100px 100px;">
                <?php echo $__env->make('purchase.orders.partials.r-form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>



    </div>


    <?php $__env->startPush('scripts'); ?>
    <?php echo $__env->make('purchase.scripts.receivings', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->stopPush(); ?>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?><?php /**PATH C:\wamp64\www\sp-portal\resources\views/purchase/receivings.blade.php ENDPATH**/ ?>