<table class="w-full border-collapse border border-gray-400 mb-4">
    <thead>
        <tr>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Item</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Description</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Quantity</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Price</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Total</th>
            
        </tr>
    </thead>
    <tbody>
        <?php
        $totalQtyRemaining = 0;
        ?>
        <?php $__currentLoopData = $order->orderItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

        <?php
        $invoiceItemsCount = \App\Models\InvoiceItem::where('item_id', $item->id)->sum('quantity');
        $remainQty = $item->quantity - $invoiceItemsCount;
        $totalQtyRemaining = $totalQtyRemaining+ $remainQty;
        ?>
        <?php if($remainQty > 0): ?>
        <tr id="itemid-<?php echo e($item->id); ?>">
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" class="w-full px-2 py-1 border border-gray-300 rounded" value="<?php echo e($item->name); ?>"
                    readonly>
                <input type="hidden" name="item[]" value="<?php echo e($item->id); ?>">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="<?php echo e($item->description); ?>" readonly>
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="number" name="quantity[]" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="<?php echo e($remainQty); ?>">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="number" name="price[]" step="0.01" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="<?php echo e($item->price); ?>">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" readonly class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="<?php echo e($item->quantity*$item->price); ?>">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <button type="button" class="  text-white font-bold py-1 px-4 "
                    style="background: #bb1c1c;border-radius: 10px;" @click="deleteItem(<?php echo e($item->id); ?>)">
                    x
                </button>
            </td>
        </tr>
        <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
</table>
<?php if($totalQtyRemaining < 1): ?> <script>
    window.onload=function(){
    const element = document.getElementById("invoiceForm");
    element.remove();
    }
    </script>
    <?php endif; ?><?php /**PATH C:\wamp64\www\sp-portal\resources\views/sales/invoices/partials/line-items.blade.php ENDPATH**/ ?>