<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">

                        <?php echo $__env->make('purchase.orders.navigation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>

                </div>
            </div>


        </nav>

     <?php $__env->endSlot(); ?>

    <div class="container mx-auto px-4 mt-4 " id="app">

        <?php
        $alphabet =
        array('','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');

        ?>

        <div class="relative overflow-x-auto  sm:rounded-lg px-4">


            <div class="py-4 pb-4 shadow-md bg-white" style="padding: 40px;">
                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">



                    <tr class="bg-white ">
                        <th class="px-6 py-4">
                            <img src="<?php echo e($company->companyLogo); ?>" style="width: 100px;">
                            <br><?php echo e($company->companyName); ?><br><?php echo $company->companyAddress; ?><br><?php echo e($company->companyPhone); ?><br><?php echo e($company->companyUrl); ?>

                        </th>
                        <td class="px-6 py-4">
                        </td>
                        <td class="px-6 py-4">
                        </td>
                        <td class="px-6 py-4">

                        </td>
                        <th class="px-6 py-4">

                            <p style="font-size: 35px; margin-bottom: 10px;">Purchase Order</p><br>
                            <b>SO#</b> <span style="font-weight: 200;"><?php echo e($company->companyPrefix); ?><?php echo e($purchase->order->saleorder_id); ?><?php echo e($alphabet[$purchase->purchaseGroup]); ?></span><br>
                            <b>Date : </b> <span
                                style="font-weight: 200;"><?php echo e(Carbon\Carbon::parse($purchase->created_at)->format('d M y')); ?></span><br>
                            <b>Payment Method:</b> <span
                                style="font-weight: 200;"><?php echo e($purchase->payment?$purchase->payment->name: 'NA'); ?>

                            </span><br>
                        </th>
                    </tr>




                </table>
                <?php
                $billingStateInfo = $purchase->getStateInfo($purchase->billingState_id);
                $shippingStateInfo = $purchase->getStateInfo($purchase->shippingState_id);
                ?>
                <div class="grid grid-cols-1 md:grid-cols-2 gap-4 bg-white mb-10" style="margin-bottom: 50px;">
                    <div class="col-span-1 md:col-span-6">
                        <div class="grid grid-cols-1 gap-4 ">
                            <div class="flex px-6 py-4">
                                <div class="col-span-12  text-blue py-2 px-4">
                                    <h3 style="font-size: 20px;font-weight: bold;">Billing Address</h3>
                                </div>
                            </div>
                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Company Name</b><br><?php echo e($purchase->vendor->company); ?></div>
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Primary Contact</b><br><?php echo e($purchase->billingPerson); ?></div>
                            </div>


                            <div class="flex px-6" style="width: 100%">
                                <div class="col-span-12 text-gray-600"><b>Address</b><br><?php echo e($purchase->billingAddress); ?>

                                </div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>City</b> <br> <?php echo e($purchase->billingCity); ?> </div>
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>State</b><br><?php echo e($billingStateInfo->code ??
                                    'N/A'); ?></div>
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>Zip/Postal</b><br><?php echo e($purchase->billingPostal); ?></div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Phone</b><br><?php echo e($purchase->billingPhone); ?></div>
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Email</b><br><?php echo e($purchase->billingEmail); ?></div>
                            </div>

                        </div>
                    </div>
                    <div class="col-span-1 md:col-span-6">
                        <div class="grid grid-cols-1 gap-4">
                            <div class="flex px-6 py-4" style="width: 100%">
                                <div class="col-span-12  text-blue py-2 px-4">
                                    <h3 style="font-size: 20px;font-weight: bold;">Shipping Address</h3>
                                </div>
                            </div>
                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Company Name</b><br><?php echo e($purchase->shippingCompany); ?></div>
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Primary Contact</b><br><?php echo e($purchase->shippingContact); ?></div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="col-span-12 text-gray-600"><b>Address</b></div>
                            </div>
                            <div class="flex px-6" style="width: 100%">
                                <div class="col-span-12"><?php echo e($purchase->shippingAddress); ?></div>
                            </div>
                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>City</b><br><?php echo e($purchase->shippingCity); ?></div>
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>State</b><br><?php echo e($shippingStateInfo->code ??
                                    'N/A'); ?></div>
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>Zip/Postal</b><br><?php echo e($purchase->shippingPostal); ?></div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Phone</b><br><?php echo e($purchase->shippingPhone); ?></div>
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Email</b><br><?php echo e($purchase->shippingEmail); ?></div>
                            </div>

                        </div>
                    </div>
                </div>



                <hr>






                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white">

                    <thead>

                        <tr class="bgblue_heading">

                            <th class="px-6 py-4" width="20%">PART NO. </th>

                            <th class="px-6 py-4" width="40%">DESCRIPTION </th>

                            <th class="px-6 py-4" width="15%">UNIT PRICE </th>

                            <th class="px-6 py-4" width="10%">Qty</th>

                            <th class="px-6 py-4" width="15%">Total</th>



                        </tr>

                    </thead>

                    <tbody>
                        <?php
                        $subtotal = 0;
                        $chargestotal = 0;
                        ?>
                        <?php $__currentLoopData = $purchase->purchaseItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>



                        <tr>

                            <td class="px-6 py-4"><?php echo e($item->orderItem->name); ?></td>

                            <td class="px-6 py-4"><?php echo e($item->orderItem->description); ?></td>

                            <td class="px-6 py-4"><span><?php echo e($company->companyCurrency); ?></span><?php echo e($item->price); ?></td>

                            <td class="px-6 py-4"><?php echo e($item->quantity); ?></td>

                            <td class="px-6 py-4"><span><?php echo e($company->companyCurrency); ?></span><?php echo e($item->price*$item->quantity); ?></td>

                            <?php $subtotal = $subtotal + ($item->price*$item->quantity) ?>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>

                </table>
                <hr>
                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white">

                    <tr>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4">SubTotal</td>

                        <td class="px-6 py-4"><span><?php echo e($company->companyCurrency); ?></span><?php echo e($subtotal); ?></td>


                    </tr>

                    <?php $__currentLoopData = $purchase->purchaseCharges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $charge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"><?php echo e($charge->chargeName->name); ?></td>

                        <td class="px-6 py-4"><span><?php echo e($company->companyCurrency); ?></span><?php echo e($charge->amount); ?></td>

                        <?php $chargestotal = $chargestotal + $charge->amount ?>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <tr>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4">Total</td>

                        <td class="px-6 py-4"><span><?php echo e($company->companyCurrency); ?></span><?php echo e(number_format($subtotal+$chargestotal,2)); ?></td>


                    </tr>


                </table>






            </div>
        </div>

    </div>


    <?php $__env->startPush('scripts'); ?>

    <?php $__env->stopPush(); ?>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?><?php /**PATH C:\wamp64\www\rafay-portal\resources\views/purchase/view.blade.php ENDPATH**/ ?>