<table class="w-full border-collapse border border-gray-400 mb-4">
    <thead>
        <tr>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Item</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Description</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Brand</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Quantity</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Price</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Total</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400"></th>
        </tr>
    </thead>
    <tbody>
        <tr v-for="(item, index) in items" :key="index">
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" name="item[]" v-model="item.item"
                    class="w-full px-2 py-1 border border-gray-300 rounded" autocomplete="false"
                    @keyup="fetchSuggestions(item, index, 'item')">
                <ul v-if="suggestionLists">

                    <li v-for="(suggestion, suggestionIndex) in suggestionLists" :key="suggestionIndex"
                        @click="selectSuggestion(index, suggestion)">{{ suggestion.name }}</li>
                </ul>
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" name="description[]" v-model="item.description"
                    class="w-full px-2 py-1 border border-gray-300 rounded">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <select name="brand_id[]" v-model="item.brand_id"
                    class="w-full px-2 py-1 border border-gray-300 rounded" style="width: 130px;">
                    <option v-for="(brand, brandIndex) in brand" :key="brand.id">{{ brand.name }}</option>
                </select>

            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="number" name="quantity[]" v-model="item.quantity" @change="calculateCharges()"
                    class="w-full px-2 py-1 border border-gray-300 rounded">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="number" name="price[]" v-model="item.price"
                    class="w-full px-2 py-1 border border-gray-300 rounded" @change="calculateCharges()">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" v-model="calculatedValues[index]" readonly
                    class="w-full px-2 py-1 border border-gray-300 rounded">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <button type="button" class="  text-white font-bold py-1 px-4 " @click="deleteItem(item)"
                    v-if="items.length > 1" style="background: #bb1c1c;border-radius: 10px;">
                    x
                </button>
            </td>
        </tr>
    </tbody>
</table>

<?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.primary-button','data' => ['type' => 'button','id' => 'addRow','@click' => 'createItem']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('primary-button'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['type' => 'button','id' => 'addRow','@click' => 'createItem']); ?><?php echo e(__('+')); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?><?php /**PATH C:\wamp64\www\rafay-portal\resources\views/sales/quotes/partials/line-items.blade.php ENDPATH**/ ?>