<?php



namespace App\Http\Controllers\Traits;

use Auth;
use DB;

trait Functions
{

    public $alloptionsArray = [];

    public function yearsList()
    {

        $yearArray = ["2023" => "2023", "2022" => "2022", "2021" => "2021", "2020" => "2020", "2019" => "2019"];

        return $yearArray;

    }



    public function monthsList()
    {

        $monthArray = ["01" => "January", "02" => "February", "03" => "March", "04" => "April", "05" => "May", "06" => "June", "07" => "July", "08" => "August", "09" => "September", "10" => "October", "11" => "November", "12" => "December"];



        return $monthArray;

    }






    public function companyBusinessType()
    {

        $termArray = ["Corporation" => "Corporation", "S Corporation" => "S Corporation", "Partnership" => "Partnership", "Sole Proprietorship" => "Sole Proprietorship", 'Limited Liability Company' => 'Limited Liability Company', 'Exempt Organization' => 'Exempt Organization'];



        return $termArray;

    }






    public function alloptions($type)
    {



        if (empty($this->alloptionsArray)) {
            $alloptions = DB::table('alloptions')
                ->select('id', 'name', 'optionType')
                ->where(['optionStatus' => 1, 'company_id' => auth()->user()->company_id])
                ->get();

            foreach ($alloptions as $option) {
                $alloptionId = $option->id;
                $alloptionName = $option->name;
                $alloptionType = $option->optionType;
                $this->alloptionsArray[] = array('id' => $alloptionId, 'name' => $alloptionName, 'optionType' => $alloptionType);
            }
        }



        $filteredRecords = [];
        foreach ($this->alloptionsArray as $onlyoption) {
            if ($onlyoption['optionType'] == $type) {
                $filteredRecords[] = $onlyoption;
            }
        }

        return $filteredRecords;


    }


    public function sub_account_code($id)
    {

        // $account = \App\Models\COA\MainAccount::findOrfail($id);
        // $account_parent = $account->coa_main_category_id;
        // $parent = \App\Models\COA\MainCategory::findOrfail($account_parent);
        $subaccount = \App\Models\COA\SubAccount::where('coa_account_head_id', $id)->count();
        $account = \App\Models\COA\MainAccount::where('id', $id)->pluck('precode')[0];
        $code = ($subaccount < 10)
            ? $account . '-0' . ($subaccount + 1)
            : $account . '-' . ($subaccount + 1);

        return $code;

    }



}