<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class FixedAssetInvoiceItem extends Model
{
    protected $fillable = ['*'];

    public function part($id)
    {
        return OrderItem::select('name', 'description', 'brand_id')->find($id);

    }

    public function item()
    {
        return $this->belongsTo(OrderItem::class, 'item_id', 'id');
    }
    public function brand()
    {
        return $this->belongsTo(Brand::class);
    }


}
