<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OrderItem extends Model
{
    protected $fillable = ['*'];


    public function purchaseItem()
    {
        return $this->hasMany(PurchaseItem::class, 'item_id');

    }



    public function brand()
    {
        return $this->belongsTo(Brand::class);
    }
}
