<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Services\CompanyService;

class CompanyServiceProvider extends ServiceProvider
{
    public function register()
    {
        $this->app->bind('company', function ($app) {
            return new CompanyService();
        });
    }
}
