<?php


namespace App\Services;

use App\Models\PurchaseInvoice;
use Route;
use Auth;

class PurchaseInvoiceService
{
    protected $invoice;

    public function __construct(PurchaseInvoice $invoice)
    {
        $this->invoice = $invoice;
    }

    public function allPurchaseInvoices()
    {




        $rawQuery = ' company_id = ' . Auth::user()->company_id;
        //year selection 
        $rawQuery .= $this->purchaseInvoicesSearch();


        return $this->invoice->whereRaw($rawQuery)->latest()->paginate(10);

    }


    protected function purchaseInvoicesSearch()
    {

        $rawQuery = ' ';



        if (request()->input('ref_public_key')) {
            $ref_public_key = request()->input('ref_public_key');
            $rawQuery .= ' AND purchase_id = "' . $ref_public_key . '"';
        }

        if (request()->input('ref_public_parent')) {
            $ref_public_parent = request()->input('ref_public_parent');
            $rawQuery .= ' AND debit_note_invoice_id = "' . $ref_public_parent . '"';
        }

        return $rawQuery;
    }


    public function findOrder($invoiceId)
    {
        return $this->invoice->where('company_id', Auth::user()->company_id)->find($invoiceId);
    }



}
