<?php
namespace App\Services;

use App\Models\State;



class StateService
{
    protected $state;

    public function __construct(State $state)
    {
        $this->state = $state;
    }

    public function getStatesByCountryId($countryId)
    {
        return $this->state->where('country_id', $countryId)->get();
    }
}
