<?php



namespace App\View\Components;



use Illuminate\View\Component;

use App\Models\Alloption;



class Charges extends Component

{

    public $category;



    public function __construct($category)

    {

        $this->category = $category;

    }



    public function render()

    {

        $charges = Alloption::where(['optionModule' => $this->category, 'optionStatus' => 1, 'company_id' => auth()->user()->company_id])

            ->whereIn('optionType', ['shipping', 'tax', 'charges', 'cc', 'ci'])->orderBy('orderBy', 'asc')->get();

        return view('components.charges', compact('charges'));

    }

}

