<x-datatable-layout>

    <x-slot name="header">

        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">

            <!-- Primary Navigation Menu -->

            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">

                <div class="flex justify-between h-8">

                    <!-- Navigation Links -->

                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">



                    </div>

                </div>

            </div>

        </nav>

    </x-slot>

    <style type="text/css">
        th,

        td {

            /* font-size: 9px; */

            text-align: center;



        }



        .th1 {

            background: #2543c1db;

            color: #fff;

            border: 1px solid;



        }



        .th2 {

            background: #086504;

            color: #fff;

            border: 1px solid;



        }



        .th3 {

            background: #b5651d;

            color: #fff;

            border: 1px solid;



        }



        .tdlightblue {

            background: lightblue;

            border: 1px solid;

            border-top: 1px dotted #c3b3b3 !important;

            border-bottom: 1px dotted #af9292 !important;



        }



        .tdblue {

            background: #1c992ad6;

            color: #fff;

            border: 1px solid #333;

            border-top: 1px dotted #c3b3b3 !important;

            border-bottom: 1px dotted #af9292 !important;



        }



        .tdstate {



            border: 2px solid #333;

            color: red;

            font-weight: bold;

            border-top: 1px dotted #c3b3b3 !important;

            border-bottom: 1px dotted #af9292 !important;



        }



        .tdlightgreen {

            background: lightgreen;

            border: 1px solid;

            border-top: 1px dotted #c3b3b3 !important;

            border-bottom: 1px dotted #af9292 !important;

        }



        .tdlightbrown {

            background: #e8720878;

            border: 1px solid;

            border-top: 1px dotted #c3b3b3 !important;

            border-bottom: 1px dotted #af9292 !important;

        }



        .tabfedex {

            background: #ffc1075e;

            border: 1px solid;

            border-top: 1px dotted #c3b3b3 !important;

            border-bottom: 1px dotted #af9292 !important;

        }



        input {

            margin-bottom: 5px;

            padding: 2px 3px;

            width: 209px !important;

        }
    </style>

    <div id="app">







        <table class="table table-responsive-xl" style="overflow: scroll">

            <thead>

                <tr>



                    <th></th>

                    <th></th>

                    <th></th>

                    <th></th>

                    <th></th>

                    <th></th>

                    <th></th>

                    <th></th>

                    <th></th>
                    <th></th>
                    <th id="gross-sale">$0.00</th>

                    {{-- <th id="three-five">$0.00</th> --}}

                    <th id="sale-cc">$0.00</th>

                    <th id="sale-frieght">$0.00</th>

                    <th id="sale-tax">$0.00</th>
                    <th id="sale-total"></th>
                    {{-- <th></th>

                    <th></th> --}}

                    <th></th>

                    <th id="third-amount">$0.00</th>

                    <th></th>

                    <th></th>

                    <th></th>

                    <th></th>

                    <th></th>

                    <th id="po-total-invoice">$0.00</th>

                    <th id="po-frieghtamount">$0.00</th>
                    <th id="po-ptax">$0.00</th>
                    <th id="po-total">$0.00</th>
                    <th></th>


                    <th id="gross-profit">Total: $0.00</th>

                </tr>

                <tr>



                    <th class="th1">RECORD TYPE</th>

                    <th class="th1">SALES REP</th>

                    <th class="th1">SO #</th>

                    <th class="th1">SO Date</th>



                    <th class="th1">INVOICE NO.</th>

                    <th class="th1">INVOICE DATE</th>

                    <th class="th1">PAYMENT RECEIVE DATE</th>

                    <th class="th1">CUSTOMER</th>

                    <th class="th1">P.O. NO. / REF. NO.</th>

                    <th class="th1">STATE</th>

                    <th class="th1">GROSS SALE AMOUNT</th>

                    <th class="th1">CC CHARGES</th>

                    <th class="th1">FREIGHT</th>

                    <th class="th1">TAX</th>

                    <th class="th1"> ORDER TOTAL</th>

                    <th class="th1">SALE TERMS</th>


                    <th class="th1">THIRD PARTY CHARGES</th>

                    <th class="th1">NET SALE AMOUNT</th>

                    <th class="th2">P.O. NO.</th>

                    <th class="th2">VENDOR</th>

                    <th class="th2">INVOICE NO.</th>

                    <th class="th2">INVOICE DATE</th>



                    <th class="th2">INVOICE AMOUNT</th>

                    {{-- <th class="th2">CC CHARGES</th> --}}

                    <th class="th2">FREIGHT</th>

                    <th class="th2">TAX</th>
                    <th class="th1">NET PURCHASE AMOUNT</th>

                    <th class="" style="background:#9b9b9b;">TRACKING NO.</th>

                    <th class="th3">GROSS PROFIT</th>

                </tr>

            </thead>

            <tbody id="myTable">



                @foreach($combinedInvoices as $order)

                <tr>



                    <td>{{ $order['thetype'] }}</td>

                    <td>{{ $order['sale_rep'] }}</td>

                    <td>{{ $order['saleorder_id'] }}</td>

                    <td>{{ date('d M y', strtotime($order['saleorder_date'])) }}</td>



                    <td>{{ $order['invoice'] }}</td>

                    <td>{{ $order['invoice_date'] }}</td>



                    <td>-</td>

                    <td>{{ $order['customer'] }}</td>

                    <td>{{ $order['reference'] }}</td>

                    <td class="tdstate">{{ $order['state'] }}</td>

                    <td class="tdlightblue grosssalesmount">{{ $order['gross_sale'] }} </td>

                    <td class="tdlightblue cccharges">{{ $order['cc_charges'] }}</td>

                    <td class="tdlightblue frieghtamount">{{ $order['frieght'] }} </td>

                    <td class="tdlightblue salestax">{{ $order['tax'] }}</td>



                    <td class="tdlightgreen saleinvoicetotal">{{ $order['invoice_total'] }}</td>

                    <td>-</td>
                    <td class="tdlightblue thirdcharges">@if($order['third_charges'] < 0){{ $order['third_charges']
                            }}@else 0 @endif</td>
                            @php $netsale = $order['invoice_total'] + $order['third_charges']; @endphp
                    <td class="tdlightgreen netamount">{{ $netsale }}</td>



                    <td>{{ $order['po_number'] }}</td>

                    <td>{{ $order['vendor'] }}</td>

                    <td>{{ $order['pinvoice_no'] }}</td>

                    <td>{{ $order['pinvoice_date'] }}</td>

                    <td class="tdblue pototalamount">{{ $order['p_total'] }}</td>

                    {{-- <td class="tdlightblue grosssalesmount">0 </td> --}}



                    <td class="tdlightblue pfrieghtamount">{{ $order['pfrieght'] }} </td>

                    <td class="tdlightblue ptax">{{ $order['ptax'] }}</td>

                    <td class=""> {{ $order['invoice_amount'] }} </td>

                    <td class="">-</td>
                    @if($order['invoice_amount'] != '-') @php $orderpo = $order['invoice_amount']; @endphp
                    @else @php $orderpo = 0; @endphp @endif
                    <td class="tdlightbrown">{{ $netsale-$orderpo }}</td>
                </tr>

                @endforeach









            </tbody>

        </table>









    </div>



    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>









    <script>
        $(document).ready(function(){
            grossSaleAmount();
            saleCCAmount();
            saleFrieghtAmount();
            saleTaxAmount();
            saleInvoiceAmount();
            saleThirdAmount();
            purchaseIvoiceAmount();
            purchaseFrieghtAmount() 
            purchaseTaxAmount() 
        });


function grossSaleAmount() {
            var total = 0;
            $(".tdlightblue.grosssalesmount").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#gross-sale").text(`$${total}`)
        }


        function saleCCAmount() {
            var total = 0;
            $(".tdlightblue.cccharges").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#sale-cc").text(`$${total}`)
        }

        function saleFrieghtAmount() {
            var total = 0;
            $(".tdlightblue.frieghtamount").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#sale-frieght").text(`$${total}`)
        }

        function saleTaxAmount() {
            var total = 0;
            $(".tdlightblue.salestax").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#sale-tax").text(`$${total}`)
        }
        
        function saleInvoiceAmount() {
            var total = 0;
            $(".tdlightgreen.saleinvoicetotal").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#sale-total").text(`$${total}`)
        }

        function saleThirdAmount() {
            var total = 0;
            $(".tdlightblue.thirdcharges").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#third-amount").text(`$${total}`)
        }
        
        function purchaseIvoiceAmount() {
            var total = 0;
            $(".tdblue.pototalamount").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#po-total-invoice").text(`$${total}`)
        }


        function purchaseFrieghtAmount() {
            var total = 0;
            $(".tdlightblue.pfrieghtamount").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#po-frieghtamount").text(`$${total}`)
        }


        function purchaseTaxAmount() {
            var total = 0;
            $(".tdlightblue.ptax").each(function() {
                var value = $(this).text().replace('$', '').replace(',', '');
                total += parseFloat(value) || 0; 
            });
            
            $("#po-ptax").text(`$${total}`)
        }
         
        
        
        var page = 2; // Initial page number



    $(window).scroll(function () {

        if ($(window).scrollTop() + $(window).height() >= $(document).height()) {

          //  loadData();

        }

    });



    function loadData() {

        $.ajax({

            url: '/fetch-gross-profit?page=' + page,

            type: 'GET',

            dataType: 'html',

            success: function (data) {

                if (data.trim() != "") {

                    $('#myTable').append(data);

                    page++;

                } else {

                    // No more data to load

                }

            },

            error: function (jqXHR, textStatus, errorThrown) {

                console.error('Error occurred: ' + textStatus, errorThrown);

            }

        });

    }

    </script>

</x-datatable-layout>