<x-app-layout>
    @push('styles')
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/dropzone@5.9.2/dist/min/dropzone.min.css">
    @endpush
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">


                    </div>




                </div>
            </div>


        </nav>

    </x-slot>

    <div class="container mx-auto px-4 mt-4 " id="app">



        <div class="relative overflow-x-auto  sm:rounded-lg px-4">


            <div class="py-4 pb-4">


                <div class="dropzone" id="my-dropzone"></div>




            </div>
            <div class="bg-white p-6 mb-6 ">

                @if($attachments)
                <div class="relative overflow-x-auto  sm:rounded-lg px-4">



                    <h1 style="font-weight: bold; font-size: 20px;">Attachments</h1>

                    <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                        <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                            <tr>
                                <th scope="col" class="px-6 py-6">
                                    #
                                </th>

                                <th scope="col" class="px-6 py-6">
                                    NAME
                                </th>

                                <th scope="col" class="px-6 py-6">

                                </th>
                            </tr>
                        </thead>
                        <tbody>

                            @forelse($attachments as $key => $attachment)
                            <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
                                <th class=" px-6 py-4"> {{++$key}}</th>
                                <td class="px-6 py-4">{{ $attachment->fullname }}</td>
                                <td class="px-6 py-4">
                                    <a href="{{ route('attachment.view', ['filename' => $attachment->name]) }}"
                                        target="_blank">@include('icons.view')</a>

                                </td>


                            </tr>
                            @empty
                            @endforelse


                        </tbody>
                    </table>
                    <div class="py-4 pb-4">
                        {{ $attachments->links() }}
                    </div>
                </div>
                @endif

            </div>

        </div>

    </div>


    @push('scripts')
    <script src="https://cdn.jsdelivr.net/npm/dropzone@5.9.2/dist/min/dropzone.min.js"></script>
    <script>
        Dropzone.autoDiscover = false;

    </script>
    @include('sales.scripts.attachments')



    @endpush

</x-app-layout>