@php
$mainHeader = [];

foreach ($charges as $charge) {
$optionTypeName = $charge->optionTypeName;
$isMultiple = $charge->isMultiple;
$chargeId = $charge->id;

$headerExists = false;
foreach ($mainHeader as $header) {
if ($header['headerName'] === $optionTypeName) {
$headerExists = true;
break;
}
}

if (!$headerExists) {
$mainHeader[] = ['headerName' => $optionTypeName, 'isMultiple' => $isMultiple, 'headerChargeId' => $chargeId];
}
}
@endphp
<div class="flex flex-wrap gap-6" style="width: 100%; background: grey; margin-bottom:10px; display:none">
    <div style="width: 40%; background:#f3f3f3;"></div>
    <div class="md:w-1/3" style="width:20%;     padding: 5px 0px 5px 10px;

    color: #fff;">
        Type
    </div>
    <div class="md:w-1/3" style="width:20%; padding: 5px 0px 5px 10px;  color: #fff; display:none;">
        %
    </div>
    <div class="md:w-1/3" style="width:20%;  padding: 5px 0px 5px 10px; color: #fff;">
        Amount
    </div>
</div>
@foreach ($mainHeader as $header)
<div class="mb-4">
    <div class="flex flex-wrap gap-6" style="width: 100%">
        <div style="width: 40%"></div>
        <div class="md:w-1/3" style="width:30%">
            @if($header['isMultiple'] == 1)
            <label class=" block font-bold"><b>{{
                    $header['headerName'] }}</b></label>
            @endif
        </div>
        <div class="md:w-1/3" style="width:30%">

        </div>
        <div class="md:w-1/3" style="display:none;">
        </div>
    </div>
    @if ($header['isMultiple'] == 0)
    @foreach ($charges as $charge)
    @if ($header['headerName'] == $charge->optionTypeName)
    <div class="flex flex-wrap">

        <div class="md:w-1/3">
            <input type="hidden" value="{{ $charge->id }}" name="charge_id[]">

        </div>
        <div class=" md:w-1/3">


        </div>
        <div class=" md:w-1/3" style="display:inline-flex; width:100%">
            <div style="width: 40%"></div>
            <label style=" width:27%">{{ $charge->name }}</label>
            <input type="number" value="{{ $charge->percentage }}" headerChargeId="{{$header['headerChargeId']}}"
                class="border rounded px-2 py-1 charges-percentage" name="charge_percentage[]"
                id="charge-percentage-{{$header['headerChargeId']}}" @change="calculateCharges()" step="0.01"
                style="display:none">
            <div style="width: 6%"></div>
            <input type="number" value="0" class="border rounded px-2 py-1 charges-amount" name="charge[]"
                id="charge-amount-{{$header['headerChargeId']}}" @change="sumofPercentage('amount')" step="0.01"
                style=" width:27%">
        </div>
    </div>
    @endif
    @endforeach
    @else
    @php $selectCharges = []; @endphp
    @foreach ($charges as $charge)
    @if ($header['headerName'] == $charge->optionTypeName)
    @php
    $nname = $header['headerName'];
    $selectCharges[$nname][] = ['id' => $charge->id, 'name' => $charge->name, 'multiplyAmount' =>
    $charge->multiplyAmount];
    @endphp
    @endif
    @endforeach
    <div class="flex flex-wrap ">

        <div class="md:w-1/3">

        </div>

        <div class=" md:w-1/3">
        </div>

        <div class=" md:w-1/3" style="display: inline-flex; width:100%">
            <div style="width: 40%"></div>
            <select class="block  p-2 border rounded w-full px-2 py-1" name="charge_id[]" style=" width:27%"
                id="charge-select-{{$header['headerChargeId']}}" @change="changeSelectOption">
                @foreach ($selectCharges[$header['headerName']] as $selectCharge)
                <option value="{{ $selectCharge['id'] }}" data-headerChargeId="{{$header['headerChargeId']}}"
                    data-multiplyAmount="{{ $selectCharge['multiplyAmount'] }}">{{
                    $selectCharge['name'] }}</option>
                @endforeach
            </select>
            <input type="number" value="{{ $charge->percentage }}" headerChargeId="{{$header['headerChargeId']}}"
                class="border rounded px-2 py-1 charges-percentage" id="charge-percentage-{{$header['headerChargeId']}}"
                name="charge_percentage[]" @change="calculateCharges()" step="0.01" style="display:none">

            <div style="width: 6%"></div>

            <input type="number" value="0" class="border rounded px-2 py-1 charges-amount" name="charge[]"
                id="charge-amount-{{$header['headerChargeId']}}" @change="calculateCharges()" step="0.01"
                style=" width:27%">
        </div>
    </div>
    @endif
</div>
@endforeach