<table class="w-full border-collapse border border-gray-400 mb-4">
    <thead>
        <tr>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Item</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Description</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Quantity</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Price</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Total</th>
            {{-- <th class="py-2 px-4 bg-gray-100 border border-gray-400"></th> --}}
        </tr>
    </thead>
    <tbody>

        @foreach($order->invoiceItems as $item)

        <tr>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" class="w-full px-2 py-1 border border-gray-300 rounded" value="{{$item->name}}"
                    readonly>
                <input type="hidden" name="item[]" value="{{$item->item_id}}">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="{{$item->description}}" readonly>
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="number" name="quantity[]" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="{{$item->quantity}}" max="{{$item->quantity}}" min="1">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="number" name="price[]" class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="{{$item->price}}" max="{{$item->price}}" min="0">
            </td>
            <td class="py-2 px-4 border border-gray-400">
                <input type="text" readonly class="w-full px-2 py-1 border border-gray-300 rounded"
                    value="{{$item->quantity*$item->price}}">
            </td>
            {{-- <td class="py-2 px-4 border border-gray-400">
                <button type="button" class="  text-white font-bold py-1 px-4 "
                    style="background: #bb1c1c;border-radius: 10px;">
                    x
                </button>
            </td> --}}
        </tr>
        @endforeach
    </tbody>
</table>