<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">

                        @include('purchase.navigation')



                    </div>




                </div>
            </div>


        </nav>

    </x-slot>


    <div class="container mx-auto px-4 mt-4 ">
        <div class="text-center">
            <x-auth-session-status class="mb-4" :status="session('success')" />
        </div>

        <div class="relative overflow-x-auto shadow-md sm:rounded-lg px-4">

            @php
            $routename = \Route::currentRouteName();
            $companyPrefix = $company->companyPrefix;
            @endphp
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-6">
                            #
                        </th>
                        <th scope="col" class="px-6 py-6">
                            VENDOR
                        </th>
                        <th scope="col" class="px-6 py-6">
                            PO#
                        </th>


                        <th scope="col" class="px-6 py-6">

                        </th>
                    </tr>
                </thead>
                <tbody>

                    @forelse($purchases as $key => $purchase)
                    <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
                        <th class=" px-6 py-4"> {{++$key}}</th>
                        <td class="px-6 py-4">{{ $purchase->vendor ? $purchase->vendor->company : '' }}</td>
                        <td class="px-6 py-4">{{ $companyPrefix }}{{ $purchase->order?$purchase->order->saleorder_id: ''
                            }}{{
                            $purchase->purchaseGroup }}</td>
                        <td class="px-6 py-4">
                            <a href="{{ route('purchases.show', $purchase->id) }}"
                                class="font-medium text-blue-600 dark:text-blue-500 hover:underline">Detail</a>
                        </td>
                    </tr>
                    @empty
                    @endforelse


                </tbody>
            </table>
            <div class="py-4 pb-4">
                {{ $purchases->links() }}
            </div>
        </div>

    </div>


    @push('scripts')
    <script>

    </script>
    @endpush

</x-app-layout>