<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">

                        @include('fixed-assets.orders.navigation')
                    </div>

                </div>
            </div>


        </nav>

    </x-slot>

    <div class="container mx-auto px-4 mt-4 " id="app">

        @php
        $alphabet =
        array('','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');

        @endphp

        <div class="relative overflow-x-auto  sm:rounded-lg px-4">


            <div class="py-4 pb-4 shadow-md bg-white" style="padding: 40px;">
                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">



                    <tr class="bg-white ">
                        <th class="px-6 py-4">
                            <img src="{{ $company->companyLogo }}" style="width: 100px;">
                            <br>{{ $company->companyName }}<br>{!! $company->companyAddress !!}<br>{{
                            $company->companyPhone }}<br>{{
                            $company->companyUrl }}
                        </th>
                        <td class="px-6 py-4">
                        </td>
                        <td class="px-6 py-4">
                        </td>
                        <td class="px-6 py-4">

                        </td>
                        <th class="px-6 py-4">

                            <p style="font-size: 25px; margin-bottom: 10px;">Asset Purchase Order</p><br>
                            <b>APO#</b> <span style="font-weight: 200;">{{$purchase->saleorder_id}}</span><br>
                            <b>Date : </b> <span
                                style="font-weight: 200;">{{Carbon\Carbon::parse($purchase->created_at)->format('d M y')
                                }}</span><br>

                        </th>
                    </tr>




                </table>
                @php
                $billingStateInfo = $purchase->getStateInfo($purchase->billingState_id);
                $shippingStateInfo = $purchase->getStateInfo($purchase->shippingState_id);
                @endphp
                <div class="grid grid-cols-1 md:grid-cols-2 gap-4 bg-white mb-10" style="margin-bottom: 50px;">
                    <div class="col-span-1 md:col-span-6">
                        <div class="grid grid-cols-1 gap-4 ">
                            <div class="flex px-6 py-4">
                                <div class="col-span-12  text-blue py-2 px-4">
                                    <h3 style="font-size: 20px;font-weight: bold;">Billing Address</h3>
                                </div>
                            </div>
                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Company Name</b><br>{{
                                    $purchase->vendor->company }}</div>
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Primary Contact</b><br>{{
                                    $purchase->billingPerson }}</div>
                            </div>


                            <div class="flex px-6" style="width: 100%">
                                <div class="col-span-12 text-gray-600"><b>Address</b><br>{{ $purchase->billingAddress }}
                                </div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>City</b> <br> {{
                                    $purchase->billingCity }} </div>
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>State</b><br>{{
                                    $billingStateInfo->code ??
                                    'N/A' }}</div>
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>Zip/Postal</b><br>{{
                                    $purchase->billingPostal
                                    }}</div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Phone</b><br>{{
                                    $purchase->billingPhone }}</div>
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Email</b><br>{{
                                    $purchase->billingEmail }}</div>
                            </div>

                        </div>
                    </div>
                    <div class="col-span-1 md:col-span-6">
                        <div class="grid grid-cols-1 gap-4">
                            <div class="flex px-6 py-4" style="width: 100%">
                                <div class="col-span-12  text-blue py-2 px-4">
                                    <h3 style="font-size: 20px;font-weight: bold;">Shipping Address</h3>
                                </div>
                            </div>
                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Company Name</b><br>{{
                                    $purchase->shippingCompany }}</div>
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Primary Contact</b><br>{{
                                    $purchase->shippingContact }}</div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="col-span-12 text-gray-600"><b>Address</b><br>{{ $purchase->shippingAddress
                                    }}</div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>City</b><br>{{
                                    $purchase->shippingCity }}</div>
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>State</b><br>{{
                                    $shippingStateInfo->code ??
                                    'N/A' }}</div>
                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>Zip/Postal</b><br>{{
                                    $purchase->shippingPostal }}</div>
                            </div>

                            <div class="flex px-6" style="width: 100%">
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Phone</b><br>{{
                                    $purchase->shippingPhone }}</div>
                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Email</b><br>{{
                                    $purchase->shippingEmail }}</div>
                            </div>

                        </div>
                    </div>
                </div>



                <hr>






                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white">

                    <thead>

                        <tr class="bgblue_heading">

                            <th class="px-6 py-4" width="20%">PART NO. </th>

                            <th class="px-6 py-4" width="40%">DESCRIPTION </th>

                            <th class="px-6 py-4" width="15%">UNIT PRICE </th>

                            <th class="px-6 py-4" width="10%">Qty</th>

                            <th class="px-6 py-4" width="15%">Total</th>



                        </tr>

                    </thead>

                    <tbody>
                        @php
                        $subtotal = 0;
                        $chargestotal = 0;
                        @endphp
                        @foreach ($purchase->purchaseItems as $item)



                        <tr>

                            <td class="px-6 py-4">{{ $item->item_name }}</td>

                            <td class="px-6 py-4">{{ $item->description }}</td>

                            <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{ $item->price }}</td>

                            <td class="px-6 py-4">{{ $item->quantity }}</td>

                            <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{
                                $item->price*$item->quantity }}</td>

                            @php $subtotal = $subtotal + ($item->price*$item->quantity) @endphp
                        </tr>
                        @endforeach

                    </tbody>

                </table>
                <hr>
                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white">

                    <tr>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4">Total</td>

                        <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{ $subtotal }}</td>


                    </tr>

                    @foreach($purchase->purchaseCharges as $key => $charge)
                    <tr>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4">{{ $charge->chargeName->name }}</td>

                        <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{ $charge->amount }}</td>

                        @php $chargestotal = $chargestotal + $charge->amount @endphp
                    </tr>
                    @endforeach

                    <tr style="display: none">

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>

                        <td class="px-6 py-4"></td>
                        <td class="px-6 py-4">Total</td>

                        <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{
                            number_format($subtotal+$chargestotal,2) }}</td>


                    </tr>


                </table>






            </div>
        </div>

    </div>


    @push('scripts')

    @endpush

</x-app-layout>