<nav class="navbar bg-primary">

    <div class="navbar-brand">

        <i style="font-size:28px; color:$dark" class="fa fa-whatsapp"></i>

    </div>

    <button class="navbar-toggler">

        <i class="fa fa-bars" aria-hidden="true"></i>

    </button>

    <ul class="navbar-nav">

        <li class="nav-close">

            <button class="btn-nav-close">

                <span class="close-btn">+</span>

            </button>

        </li>

        <li class="nav-item">

            <a href="{{ route('dashboard') }}" class="nav-link">Dashboard</a>

        </li>

        @if(auth()->user()->role_id == 3 || auth()->user()->role_id == 1)
        @include('layouts.partials.sales-navbar')
        @endif
         @if(auth()->user()->role_id == 4 || auth()->user()->role_id == 1)
        <li class="nav-item">

            <a href="#" class="nav-link " style="display: inline-flex">

                <div> Purchase</div>

                <div class="ml-1">

                    <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">

                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd" />

                    </svg>

                </div>

            </a>

            <ul class="dropdown">

                <li class="nav-item">

                    <a href="#" class="nav-link">Vouchers </a>

                    <ul class="dropdown">



                        <li class="nav-item">

                            <a href="{{ route('purchase-orders') }}" class="nav-link">

                                {{ __('Purchase Orders') }}

                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('purchases') }}" class="nav-link">

                                {{ __('Purchase Invoices') }}

                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('purchases-invoices') }}" class="nav-link">

                                {{ __('Debit Notes') }}

                            </a>

                        </li>

                        {{-- .website_d94d9709 --}}

                        {{-- <li class="nav-item">

                            <a href="{{ route('debit-notes') }}" class="nav-link">

                                {{ __('Debit Notes') }}

                            </a>

                        </li> --}}

                        <li class="nav-item">

                            <a href="{{ route('payable-payment') }}" class="nav-link">

                                {{ __('Payable Payment') }}

                            </a>

                        </li>



                        {{-- <li class="nav-item">

                            <a href="#" class="nav-link">Dropdown lavel-2 </a>

                            <ul class="dropdown">

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                            </ul>

                        </li> --}}

                    </ul>

                </li>

                <li class="nav-item">

                    <a href="#" class="nav-link">Reports </a>

                    <ul class="dropdown">



                        <li class="nav-item">

                            <a href="{{ route('reports.purchases') }}" class="nav-link">Purchase Order </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('reports.pending-purchases') }}" class="nav-link">Pending Purchase Order
                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('reports.purchase-register') }}" class="nav-link">Purchase Register </a>

                        </li>



                        <li class="nav-item">

                            <a href="{{ route('reports.debit-notes') }}" class="nav-link">Debit Note </a>

                        </li>

                        {{-- <li class="nav-item">

                            <a href="#" class="nav-link">Dropdown lavel-2 </a>

                            <ul class="dropdown">

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                            </ul>

                        </li> --}}

                    </ul>

                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link">Ledgers </a>
                    <ul class="dropdown">
                        @php
                        $pledgers = \App\Models\COA\SubAccount::select('name', 'reportLink')->where('company_id',
                        auth()->user()->id)->whereIn('related_type', ['PurchaseTax','PurchaseShipping',
                        'PurchaseCreditCard', 'PurchaseCarriageInward'])->get();
                        @endphp
                        @foreach($pledgers as $ledger)
                        <li class="nav-item">
                            <a href="{{ $ledger->reportLink }}" class="nav-link">{{ $ledger->name }}</a>
                        </li>
                        @endforeach

                    </ul>
                </li>
            </ul>

        </li>
        @endif
         @if(auth()->user()->role_id == 5 || auth()->user()->role_id == 1)
        <li class="nav-item">

            <a href="#" class="nav-link " style="display: inline-flex">

                <div> Fixed Assets</div>

                <div class="ml-1">

                    <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">

                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd" />

                    </svg>

                </div>

            </a>

            <ul class="dropdown">

                <li class="nav-item">

                    <a href="#" class="nav-link">Vouchers </a>

                    <ul class="dropdown">

                        <li class="nav-item">

                            <a href="{{ route('fixed-assets.create') }}" class="nav-link">

                                {{ __('Fixed Asset Create') }}

                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('fixed-assets') }}" class="nav-link">

                                {{ __('Fixed Asset Purchase') }}

                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('fixed-assets.invoices') }}" class="nav-link">

                                {{ __('Fixed Asset Invoices') }}

                            </a>

                        </li>

                        {{-- <li class="nav-item">

                            <a href="{{ route('purchases-invoices') }}" class="nav-link">

                                {{ __('Debit Notes') }}

                            </a>

                        </li> --}}



                        {{-- <li class="nav-item">

                            <a href="{{ route('debit-notes') }}" class="nav-link">

                                {{ __('Debit Notes') }}

                            </a>

                        </li> --}}

                        {{-- <li class="nav-item">

                            <a href="{{ route('payable-payment') }}" class="nav-link">

                                {{ __('Payable Payment') }}

                            </a>

                        </li> --}}



                        {{-- <li class="nav-item">

                            <a href="#" class="nav-link">Dropdown lavel-2 </a>

                            <ul class="dropdown">

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                            </ul>

                        </li> --}}

                    </ul>

                </li>

                {{-- <li class="nav-item">

                    <a href="#" class="nav-link">Reports </a>

                    <ul class="dropdown">



                        <li class="nav-item">

                            <a href="{{ route('purchases') }}" class="nav-link">Purchase Order </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('purchases') }}" class="nav-link">Pending Purchase Order </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('reports.purchase-register') }}" class="nav-link">Purchase Register </a>

                        </li>



                        <li class="nav-item">

                            <a href="{{ route('reports.debit-notes') }}" class="nav-link">Debit Note </a>

                        </li>

                        {{-- <li class="nav-item">

                            <a href="#" class="nav-link">Dropdown lavel-2 </a>

                            <ul class="dropdown">

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                                <li class="nav-item">

                                    <a href="#" class="nav-link">Dropdown lavel-3</a>

                                </li>

                            </ul>

                        </li>

                    </ul>

                </li> --}}

            </ul>

        </li>

        <li class="nav-item">

            <a href="#" class="nav-link " style="display: inline-flex">

                <div> Finance</div>

                <div class="ml-1">

                    <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">

                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd" />

                    </svg>

                </div>

            </a>

            <ul class="dropdown">

                <li class="nav-item">

                    <a href="#" class="nav-link">Vouchers </a>

                    <ul class="dropdown">

                        <li class="nav-item">

                            <a href="{{ route('finance.cash-receipt') }}" class="nav-link">

                                {{ __('Cash Receipt') }}

                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('finance.cash-payment') }}" class="nav-link">

                                {{ __('Cash Payment') }}

                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('finance.bank-receipt') }}" class="nav-link">

                                {{ __('Bank Receipts') }}

                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('finance.bank-payment') }}" class="nav-link">

                                {{ __('Bank Payment') }}

                            </a>

                        </li>
                        <li class="nav-item">

                            <a href="{{ route('finance.journal') }}" class="nav-link">

                                {{ __('Journal Voucher') }}

                            </a>

                        </li>


                    </ul>

                </li>



            </ul>

        </li>


        @include('layouts.partials.accounts-navbar')
  @endif
    </ul>

    <div class="navbar-utils">

        <div class="utils-search">

            <ul class="navbar-nav" style="justify-content: end;">



                <li class="nav-item">

                    <a href="#" class="nav-link">{{ Auth::user()->company->companyName }} </a>

                    <ul class="dropdown dropdown-custom">

                        @php

                        // Retrieve data from the session

                        $companies = session('user_companies');



                        @endphp

                        @if($companies)

                        @foreach($companies as $company)

                        <li class="nav-item">

                            <a href="{{ route('companies.switch', $company->id) }}" class="nav-link">{{

                                $company->companyName }}</a>

                        </li>

                        @endforeach

                        @else

                        <li class="nav-item"><a href="">Login Again to see other companies </a></li>

                        @endif

                    </ul>

                </li>



                <li class="nav-item">

                    <a href="#" class="nav-link">{{ Auth::user()->name }}</a>

                    <ul class="dropdown dropdown-custom">

                        <li class="nav-item">

                            <a href="#" class="nav-link">System SOPs</a>

                        </li>



                        <li class="nav-item" style="background: rgb(132, 36, 36)">

                            <a href="{{ route('feedbacks.create') }}" class="nav-link" style="color:#fff;">Feedback</a>

                        </li>


                        <li class="nav-item">

                            <a href="#" class="nav-link">Aministration</a>

                        </li>

                        <li class="nav-item">

                            <a href="{{ route('profile.edit') }}" class="nav-link">{{ __('Profile') }}</a>

                        </li>

                        <li class="nav-item">

                            <form method="POST" action="{{ route('logout') }}">

                                @csrf



                                <a href="{{ route('logout') }}" onclick="event.preventDefault();

                                                    this.closest('form').submit();" class="nav-link">

                                    {{ __('Log Out') }}

                                </a>

                            </form>



                        </li>



                    </ul>

                </li>



            </ul>

        </div>

    </div>

</nav>