<li class="nav-item">

    <a href="#" class="nav-link " style="display: inline-flex">

        <div> Sales</div>

        <div class="ml-1">

            <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">

                <path fill-rule="evenodd"

                    d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"

                    clip-rule="evenodd" />

            </svg>

        </div>

    </a>

    <ul class="dropdown">

        <li class="nav-item">

            <a href="#" class="nav-link">Vouchers </a>

            <ul class="dropdown">

                <li class="nav-item">

                    <a href="{{ route('quotes.create') }}" class="nav-link">

                        {{ __('Create Quote') }}

                    </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('quotes') }}" class="nav-link">

                        {{ __('Quotes') }}

                    </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('orders') }}" class="nav-link">

                        {{ __('Sale Orders') }}

                    </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('invoices') }}" class="nav-link">

                        {{ __('Invoices') }}

                    </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('invoices') }}" class="nav-link">

                        {{ __('Credit Notes') }}

                    </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('receivable-payment') }}" class="nav-link">

                        {{ __('Receivable Payment') }}

                    </a>

                </li>





            </ul>

        </li>

        <li class="nav-item">

            <a href="#" class="nav-link">Reports </a>

            <ul class="dropdown">

                <li class="nav-item">

                    <a href="{{ route('reports.quotations') }}" class="nav-link">Quotation </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('reports.pending-quotations') }}" class="nav-link">Pending Quotation </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('reports.orders') }}" class="nav-link">Sale Order </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('reports.pending-orders') }}" class="nav-link">Pending Sale Order </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('reports.sales-register') }}" class="nav-link">Sales Register </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('reports.inventory-aging-report') }}" class="nav-link">Inventory Aging

                    </a>

                </li>

                <li class="nav-item">

                    <a href="{{ route('reports.credit-notes') }}" class="nav-link">Credit Note </a>

                </li>



            </ul>

        </li>

        <li class="nav-item">

            <a href="#" class="nav-link">Ledgers </a>

            <ul class="dropdown">

                @php

                $ledgers = \App\Models\COA\SubAccount::select('name', 'reportLink')->where('company_id',

                auth()->user()->id)->whereIn('related_type', ['SalesTax', 'SalesInvoices', 'SalesCreditCard',

                'SalesShipping'])->get();

                @endphp

                @foreach($ledgers as $ledger)

                <li class="nav-item">

                    <a href="{{ $ledger->reportLink }}" class="nav-link">{{ $ledger->name }}</a>

                </li>

                @endforeach



            </ul>

        </li>

    </ul>

</li>