<!DOCTYPE html>
<html>

<head>
    <title></title>
    <style>
        @page {
            size: a4 portrait;
            margin: 0.5;
            padding: 0.5; // you can set margin and padding 0
        }

        body {
            margin: 0;
            font-family: 'Montserrat', Helvetica, Arial, serif;
            font-size: 1rem;
            font-weight: 400;
            line-height: 1.45;
            color: #626262;
            text-align: left;
            background-color: #ffffff;
        }

        .h2 {
            padding: 12px;
        }

        th,
        td {
            padding: 4px 0;
            text-align: left;
            vertical-align: middle;
        }

        h1,
        h2 {
            font-size: 1.74rem;
        }

        h2 {
            margin-bottom: 0.5rem;
            font-family: inherit;
            font-weight: 500;
            line-height: 1.2;
            color: #2C2C2C;
        }

        .table {
            width: 100%;
            /* margin-bottom: 1rem; */
        }

        .table th {
            font-size: 0.85rem;
        }

        /* .p {
    padding-right: 14px;
    padding-left: 14px;
} */

        .b-heading {
            background: #00a8ff;
            color: #fff;
        }

        .invoice-heading {
            padding: 8px 8px;
        }

        .border {
            border: 1px solid #cbcbcb;
            border-collapse: collapse;
        }

        .borderbottom {
            border-bottom: 1px solid #cbcbcb;
        }

        .invoice_heading {
            padding: 5px 8px;
        }

        .tw2,
        .tw3,
        .tw4,
        .tw5 {
            width: 95%;
        }

        .tw1 {
            width: 80%;
        }

        .invoice_top_right_tdth {
            padding: 1px 8px;
            font-size: 0.85rem;
        }

        /* Media Queries */
        @media and only (max-width: 768px) {
            .table th {
                font-size: 0.85rem;
            }

            .tw1,
            .tw3,
            .tw4 {
                width: 88%;
            }

            .tw5 {
                width: 89%;
            }
        }
    </style>
</head>

<body>
    <table class="tw1" align="center">
        <tr>
            <td width="50%">
                <table class="table p">
                    <tbody>
                        <tr>
                            <th width="35%" class="invoice_top_right_tdth"><img
                                    src="https://cdn.varstreet.com/VarstreetXCStoreDesign/6925//Store_1142//Logo//Logo1541201589541717137.png"
                                    style="height: 65px;"> </th>
                        </tr>
                        <tr>
                            <th width="20%" class="invoice_top_right_tdth">IT Devices Online Inc</th>
                        </tr>
                        <tr>
                            <th width="20%" class="invoice_top_right_tdth"> 2121 North California Blvd Suite 290,
                                <br> Walnut Creek, CA-94596, USA
                            </th>
                        </tr>
                        <tr>
                            <th width="20%" class="invoice_top_right_tdth"> 866-585-5130</th>
                        </tr>
                        <tr>
                            <th width="20%" class="invoice_top_right_tdth"> www.itdevicesonline.com</th>
                        </tr>
                    </tbody>
                </table>
            </td>
            <td width="50%">
                <h2 class="p">INVOICE
                    #xxxxx
                </h2>
                <table class="table p">
                    <tbody>
                       
                       
                            <tr>
                                <th class="invoice_top_right_tdth">Customer Ref#</th>
                                <td style="text-align: right" class="invoice_top_right_tdth">
                                    xxxxx</td>
                            </tr>
                  
                        <tr>
                            <th class="invoice_top_right_tdth">Invoice Date</th>
                            <td style="text-align: right" class="invoice_top_right_tdth">
                              xxxxx</td>
                        </tr>
                        <tr>
                            <th class="invoice_top_right_tdth">Payment Term</th>
                            <td style="text-align: right" class="invoice_top_right_tdth">
                                xxxxx</td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </table>
    <table class="tw2" align="center">
        <tr>
            <td>
                <table class="table border">
                    <thead>
                        <tr class="b-heading">
                            <th colspan="3" class="invoice_heading">Billing Address</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th colspan="2" class="invoice_top_right_tdth">Company Name</th>
                            <th class="invoice_top_right_tdth">Primary Contact</th>
                        </tr>
                        <tr>
                            <td colspan="2" class="invoice_top_right_tdth">xxxxx</td>
                            <td class="invoice_top_right_tdth">xxxxx</td>
                        </tr>
                        <tr>
                            <th colspan="3" class="invoice_top_right_tdth">Address</th>
                        </tr>
                        <tr>
                            <td colspan="3" class="invoice_top_right_tdth">
                                xxxxx
                            </td>
                        </tr>
                        <tr>
                            <th class="invoice_top_right_tdth">City</th>
                            <th class="invoice_top_right_tdth">State</th>
                            <th class="invoice_top_right_tdth">Zip/Postal</th>
                        </tr>
                        <tr>
                            <td class="invoice_top_right_tdth">xxxxxxx</td>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                        </tr>
                        <tr>
                            <th class="invoice_top_right_tdth">Phone</th>
                            <th colspan="2" class="invoice_top_right_tdth">Email</th>
                        </tr>
                        <tr>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                            <td colspan="2" class="invoice_top_right_tdth">xxxxxx</td>
                        </tr>
                    </tbody>
                </table>
            </td>
            <td>
                <table class="table border">
                    <thead>
                        <tr class="b-heading">
                            <th colspan="3" class="invoice_heading">Shipping Address</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th colspan="2" class="invoice_top_right_tdth">Company Name</th>
                            <th class="invoice_top_right_tdth">Primary Contact</th>
                        </tr>
                        <tr>
                            <td colspan="2" class="invoice_top_right_tdth">xxxxxx
                            </td>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                        </tr>
                        <tr>
                            <th colspan="3" class="invoice_top_right_tdth">Address</th>
                        </tr>
                        <tr>
                            <td colspan="3" class="invoice_top_right_tdth">
                                xxxxxx
                            </td>
                        </tr>
                        <tr>
                            <th class="invoice_top_right_tdth">City</th>
                            <th class="invoice_top_right_tdth">State</th>
                            <th class="invoice_top_right_tdth">Zip/Postal</th>
                        </tr>
                        <tr>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                        </tr>
                        <tr>
                            <th class="invoice_top_right_tdth">Phone</th>
                            <th colspan="2" class="invoice_top_right_tdth">Email</th>
                        </tr>
                        <tr>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                            <td colspan="2" class="invoice_top_right_tdth">xxxxxx</td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </table>
    <table class="tw3" align="center">
        <tr>
            <td>
                <table class="table border">
                    <thead>
                        <tr class="b-heading">
                            <th class="invoice_heading">Sale Rep Name</th>
                            <th class="invoice_heading">Sale Rep Phone </th>
                            {{-- <th class="invoice_heading">Ship Via </th> --}}
                            <th class="invoice_heading">Sale Rep Email</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td class="invoice_top_right_tdth">
                                xxxxxx
                            </td>
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                            {{-- <td class="invoice_top_right_tdth">UPS Ground</td> --}}
                            <td class="invoice_top_right_tdth">xxxxxx</td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </table>
    <table class="tw4" align="center">
        <tr>
            <td>
                <table class="table border">
                    <thead>
                        <tr class="b-heading">
                            <th class="invoice_heading" width="20%">PART NO. </th>
                            <th class="invoice_heading" width="40%">DESCRIPTION </th>
                            <th class="invoice_heading" width="15%">UNIT PRICE </th>
                            <th class="invoice_heading" width="10%">Qty</th>
                            <th class="invoice_heading" width="15%">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                   
                            <tr>
                                <td class="invoice_top_right_tdth">xxxxxx</td>
                                <td class="invoice_top_right_tdth">xxxxxx</td>
                                <td class="invoice_top_right_tdth">xxxxxx</td>
                                <td class="invoice_top_right_tdth">xxxxxx</td>
                                <td class="invoice_top_right_tdth">
                                    xxxxxx</td>
                            </tr>
                     
                    </tbody>
                </table>
            </td>
        </tr>
    </table>

    <table class="tw5" align="center">
        <tr>
            <td style="width: 70%">

            </td>
            <td style="width: 30%">
                <table class="table border">
                    <tbody>

                        <tr class="borderbottom">
                            <th class="invoice_heading">SubTotal</th>
                            <td class="invoice_heading">xxxxxx</td>
                        </tr>
                        <tr class="borderbottom">
                            <th class="invoice_heading">Shipping</th>
                            <td class="invoice_heading">xxxxxx</td>
                        </tr>
                        <tr class="borderbottom">
                            <th class="invoice_heading">Charges</th>
                            <td class="invoice_heading">0</td>
                        </tr>
                        <tr class="borderbottom">
                            <th class="invoice_heading">Tax(Applied Tax)</th>
                            <td class="invoice_heading">xxxxxx</td>
                        </tr>
                        <tr>
                            <th class="invoice_heading">TOTAL</th>
                            <td class="invoice_heading">xxxxxx</td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </table>

    <table class="table tw5" align="center">
        <tbody>

            <tr class="border ">
                <th width="20%" class="tbhp">Tracking</th>
                <td width="80%" class="tbhp">xxxxxx</td>
            </tr>
            <tr>
                <th width="20%" class="tbhp">Serials</th>
                <td width="80%" class="tbhp">xxxxxx</td>
            </tr>
        </tbody>
    </table>
</body>

</html>
