<table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">

    <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
        <tr>
            <th scope="col" class="px-6 py-6">
                #
            </th>
            <th scope="col" class="px-6 py-6">
                NAME
            </th>
            <th scope="col" class="px-6 py-6">
                UNIT PRICE
            </th>
            <th scope="col" class="px-6 py-6">
                TOTAL
            </th>


            <th scope="col" class="px-6 py-6">
                PURCHASED
            </th>
        </tr>
    </thead>
    <tbody>

        @forelse($order->orderItems as $key => $item)
        <tr class="bg-white border-b dark:bg-gray-900 dark:border-gray-700">
            <th class=" px-6 py-4">
                @if($item->purchaseItem->sum('quantity') < $item->quantity)
                    <input type="checkbox" name="pos" :value="{{ $item->id  }}" @change="toggleItem({{ $item }})"
                        :checked="isSelected({{ $item }})">
                    @endif
            </th>
            <td class="px-6 py-4">{{ $item->name }}</td>
            <td class="px-6 py-4">{{ $company->companyCurrency }}{{ $item->price }}</td>

            <td class="px-6 py-4">{{ $company->companyCurrency }}{{ $item->quantity*$item->price }}</td>
            <td class="px-6 py-4">
                {{ $item->purchaseItem->sum('quantity') }}/{{ $item->quantity }}
            </td>
        </tr>
        @empty
        @endforelse


    </tbody>
</table>