<div class="flex flex-wrap gap-6 mt-6">




    <div class="w-full md:w-1/3">
        <x-input-label for="invdate" :value="__('Credit Note Date')" />
        <x-text-input id="invdate" name="invdate" type="date" class="mt-1 block w-full" :value="old('invdate')" required
            autofocus autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('invdate')" />
    </div>

    <div class="w-full md:w-1/3">
        <x-input-label for="Payment" :value="__('Payment Term')" />

        <select label="payment" name="payment_gateway_id" id="payment" class="mt-1 block w-full form-select" required>
            @foreach($payments as $payment)
            <option value="{{ $payment->id }}">{{ $payment->name }}</option>
            @endforeach
        </select>
        <x-input-error class="mt-2" :messages="$errors->get('payment_id')" />
    </div>
    <div class="w-full md:w-1/3">
        <x-input-label for="quotedate" :value="__('PO Reference')" />
        <x-text-input id="ref" name="ref" type="text" class="mt-1 block w-full" :value="$order->ref" required autofocus
            autocomplete="off" />
        <x-input-error class="mt-2" :messages="$errors->get('ref')" />
    </div>
</div>