<x-app-layout>



    <x-slot name="header">



        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">



            <!-- Primary Navigation Menu -->



            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">



                <div class="flex justify-between h-8">











                    <!-- Navigation Links -->



                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">





                        @include('sales.invoices.partials.invoice-navigation')



                    </div>



















                </div>



            </div>











        </nav>







    </x-slot>







    <div class="container mx-auto px-4 mt-4 " id="app">















        <div class="relative overflow-x-auto  sm:rounded-lg px-4">











            <div class="py-4 pb-4 shadow-md bg-white" style="padding: 40px;">



                @include('sales.invoices.partials.order-section-info')



                @php



                $billingStateInfo = $order->getStateInfo($order->billingState_id);



                $shippingStateInfo = $order->getStateInfo($order->shippingState_id);



                @endphp



                <div class="grid grid-cols-1 md:grid-cols-2 gap-4 bg-white mb-10" style="margin-bottom: 50px;">



                    <div class="col-span-1 md:col-span-6">



                        <div class="grid grid-cols-1 gap-4 ">



                            <div class="flex px-6 py-4">



                                <div class="col-span-12  text-blue py-2 px-4">



                                    <h3 style="font-size: 20px;font-weight: bold;">Billing Address</h3>



                                </div>



                            </div>



                            <div class="flex px-6" style="width: 100%">



                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Company Name</b><br>{{

                                    $order->customer->company }}</div>



                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Primary Contact</b><br>{{

                                    $order->billingPerson }}</div>



                            </div>











                            <div class="flex px-6" style="width: 100%">



                                <div class="col-span-12 text-gray-600"><b>Address</b><br>{{ $order->billingAddress }}

                                </div>



                            </div>







                            <div class="flex px-6" style="width: 100%">



                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>City</b><br>{{

                                    $order->billingCity }}</div>



                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>State</b><br>{{

                                    $billingStateInfo->code ??



                                    'N/A' }}</div>



                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>Zip/Postal</b><br>{{

                                    $order->billingPostal }}</div>



                            </div>







                            <div class="flex px-6" style="width: 100%">



                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Phone</b><br>{{

                                    $order->billingPhone }}</div>



                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Email</b><br>{{

                                    $order->billingEmail }}</div>



                            </div>



                        </div>



                    </div>



                    <div class="col-span-1 md:col-span-6">



                        <div class="grid grid-cols-1 gap-4">



                            <div class="flex px-6 py-4" style="width: 100%">



                                <div class="col-span-12  text-blue py-2 px-4">



                                    <h3 style="font-size: 20px;font-weight: bold;">Shipping Address</h3>



                                </div>



                            </div>



                            <div class="flex px-6" style="width: 100%">



                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Company Name</b><br>{{

                                    $order->shippingCompany }}</div>



                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Primary Contact</b><br>{{

                                    $order->shippingContact }}</div>



                            </div>







                            <div class="flex px-6" style="width: 100%">



                                <div class="col-span-12 text-gray-600"><b>Address</b><br>{{ $order->shippingAddress }}

                                </div>



                            </div>





                            <div class="flex px-6" style="width: 100%">



                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>City</b><br></div>



                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>State</b><br></div>



                                <div class="w-1/2 text-gray-600" style="width: 33.33%"><b>Zip/Postal</b><br></div>



                            </div>



                            <div class="flex px-6" style="width: 100%">



                                <div class="w-1/2 text-gray-600" style="width: 33.33%">{{ $order->shippingCity }}</div>



                                <div class="w-1/2 text-gray-600" style="width: 33.33%">{{ $shippingStateInfo->code ??



                                    'N/A' }}</div>



                                <div class="w-1/2 text-gray-600" style="width: 33.33%">{{ $order->shippingPostal }}



                                </div>



                            </div>



                            <div class="flex px-6" style="width: 100%">



                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Phone</b><br>{{

                                    $order->shippingPhone }}</div>



                                <div class="w-1/2 text-gray-600" style="width: 50%"><b>Email</b><br>{{

                                    $order->shippingEmail }}</div>



                            </div>







                        </div>



                    </div>



                </div>















                <hr>



















                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white py-4">







                    <thead>







                        <tr class="bgblue_heading">







                            <th class="px-6 py-1">Sale Name</th>







                            <th class="px-6 py-1">Sale Phone </th>















                            <th class="px-6 py-1">Sale Email</th>







                        </tr>







                    </thead>







                    <tbody>







                        <tr>







                            <td class="px-6 ">{{ $order->saleRep->name ?? 'N/A' }}</td>







                            <td class="px-6 ">{{ $order->saleRep->phone ?? 'N/A' }}</td>







                            <td class="px-6 ">{{ $order->saleRep->email ?? 'N/A' }}</td>







                        </tr>







                    </tbody>







                </table>











                <hr>



















                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white">







                    <thead>







                        <tr class="bgblue_heading">







                            <th class="px-6 py-4" width="20%">PART NO. </th>







                            <th class="px-6 py-4" width="40%">DESCRIPTION </th>





                            <th class="px-6 py-4" width="40%">BRAND</th>





                            <th class="px-6 py-4" width="15%">UNIT PRICE </th>







                            <th class="px-6 py-4" width="10%">Qty</th>







                            <th class="px-6 py-4" width="15%">Total</th>















                        </tr>







                    </thead>







                    <tbody>



                        @php



                        $subtotal = 0;



                        $chargestotal = 0;



                        @endphp



                        @foreach ($order->invoiceItems as $item)













                        @php

                        $theitem = $item->part($item->item_id);



                        @endphp

                        <tr>







                            <td class="px-6 py-4">{{ $theitem->name }}</td>







                            <td class="px-6 py-4">{{ $theitem->description }}</td>

                            <td class="px-6 py-4">{{ $theitem->brand ? $theitem->brand->name : '' }}</td>







                            <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{ $item->price }}</td>







                            <td class="px-6 py-4">{{ $item->quantity }}</td>







                            <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{



                                $item->price*$item->quantity }}</td>







                            @php $subtotal = $subtotal + ($item->price*$item->quantity) @endphp



                        </tr>



                        @endforeach







                    </tbody>







                </table>



                <hr>



                <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400 bg-white">







                    <tr>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4">SubTotal</td>







                        <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{ $subtotal }}</td>











                    </tr>







                    @foreach($order->invoiceCharges as $key => $charge)



                    <tr>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4">{{ $charge->chargeName->name }}</td>







                        <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{ $charge->amount }}</td>







                        @php $chargestotal = $chargestotal + $charge->amount @endphp



                    </tr>



                    @endforeach







                    <tr>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>







                        <td class="px-6 py-4"></td>



                        <td class="px-6 py-4">Total</td>







                        <td class="px-6 py-4"><span>{{ $company->companyCurrency }}</span>{{



                            number_format($subtotal+$chargestotal,2) }}</td>











                    </tr>











                </table>



























            </div>



        </div>







    </div>











    @push('scripts')







    @endpush







</x-app-layout>