<x-app-layout>
    <x-slot name="header">
        <nav x-data="{ open: false }" class="bg-white dark:bg-gray-800 border-b border-gray-100 dark:border-gray-700">
            <!-- Primary Navigation Menu -->
            <div class="max-w-7xl mx-auto px-4 sm:px-4 lg:px-4">
                <div class="flex justify-between h-8">


                    <!-- Navigation Links -->
                    <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">

                        @include('sales.orders.partials.order-navigation')
                    </div>
                </div>
            </div>


        </nav>

    </x-slot>

    <div class="container mx-auto px-4 mt-4         " id="app" style="overflow: auto">

        <div class="relative overflow-x-auto  sm:rounded-lg px-4">


            <div class="py-4 pb-4">
                <form method="post" action="{{ route('orders.convert-save', $order->id) }}" class="mt-6 space-y-6"
                    id="proceedForm">
                    @csrf
                    @if ($errors->any())
                    <div class="text-red-500">
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                    @endif
                    <div class="shadow-md" style="padding: 40px;">
                        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Convert Quote
                            into Sale Order</h2>

                        <div class="flex flex-wrap gap-6 mt-6">



                            <div class="w-full md:w-1/3">
                                <x-input-label for="orderdate" :value="__('Order Date')" />
                                <x-text-input id="orderdate" name="orderdate" type="date" class="mt-1 block w-full"
                                    :value="old('orderdate')" required autofocus autocomplete="off" />
                                <x-input-error class="mt-2" :messages="$errors->get('orderdate')" />
                            </div>
                            <div class="w-full md:w-1/3">
                            </div>
                            <div class="w-full md:w-1/3">

                            </div>

                        </div>


                        <div class="flex flex-wrap gap-6 mt-6">

                            <div class="w-full md:w-1/3">

                            </div>
                            <div class="w-full md:w-1/3">
                            </div>
                            <div class="w-full md:w-1/3">
                                <div class="flex items-center justify-end mt-6">
                                    <x-primary-button>{{ __('Procceed to Accounts') }}</x-primary-button>
                                </div>
                            </div>
                        </div>



                    </div>

                </form>
            </div>
        </div>
    </div>
    @push('scripts')
    @include('sales.scripts.convert')
    @endpush

</x-app-layout>