<table class="w-full border-collapse border border-gray-400 mb-4">

    <thead>

        <tr>

            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Item</th>

            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Description</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Price</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Quantity</th>
            <th class="py-2 px-4 bg-gray-100 border border-gray-400">Total</th>

            <th class="py-2 px-4 bg-gray-100 border border-gray-400"></th>

        </tr>

    </thead>

    <tbody>

        <tr v-for="(item, index) in items" :key="index">

            <td class="py-2 px-4 border border-gray-400">

                <input type="text" name="item[]" v-model="item.item"

                    class="w-full px-2 py-1 border border-gray-300 rounded">

            </td>

            <td class="py-2 px-4 border border-gray-400">

                <input type="text" name="description[]" v-model="item.description"

                    class="w-full px-2 py-1 border border-gray-300 rounded">

            </td>

           

            <td class="py-2 px-4 border border-gray-400">

                <input type="number" name="price[]" v-model="item.price"

                    class="w-full px-2 py-1 border border-gray-300 rounded" step="0.01">

            </td>
 <td class="py-2 px-4 border border-gray-400">

                <input type="number" name="quantity[]" v-model="item.quantity"

                    class="w-full px-2 py-1 border border-gray-300 rounded">

            </td>
            <td class="py-2 px-4 border border-gray-400">

                <input type="text" v-model="calculatedValues[index]" readonly

                    class="w-full px-2 py-1 border border-gray-300 rounded">

            </td>

            <td class="py-2 px-4 border border-gray-400">

                <button type="button" class="  text-white font-bold py-1 px-4 " @click="deleteItem(item)"

                    v-if="items.length > 1" style="background: #bb1c1c;border-radius: 10px;">

                    x

                </button>

            </td>

        </tr>

    </tbody>

</table>



<x-primary-button type="button" id="addRow" @click="createItem">{{ __('+') }}</x-primary-button>