<form>
    <div class="flex flex-wrap gap-6 mt-6">
         
      
      <div class="w-full md:w-1/3" >
        <input type="checkbox" @click="selectSearch('showCustomer')" />
          <x-input-label for="customers" :value="__('Customers')" />
          
      </div>
  
      <div class="w-full md:w-1/3">
        <input type="checkbox" @click="selectSearch('showRep')" />
          <x-input-label for="salesrep" :value="__('Sales Rep')" />
          
      </div>
      <div class="w-full md:w-1/3">
        <input type="checkbox"  @click="selectSearch('showDate')" />
          <x-input-label for="thedates" :value="__('Date Range')" />
        
      </div>
      <div class="w-full md:w-1/3" >
          @php
          $theType = 'SO';
          $input_name = 'saleorder_id';
          if($heading == 'Quotation Report'){
              $theType = 'Quote';
              $input_name = 'quoteid';
          }

          @endphp
           <input type="checkbox"  @click="selectSearch('showQuoteId')" checked />
          <x-input-label for="quoteid" :value="__($theType.' #')" />
         
      </div>
      
  </div>


      <div class="flex flex-wrap gap-6 ">
          <div class="w-full md:w-1/3" v-if="showCustomer">
            
      
              <input type="hidden"  name="customer_id" v-model="customer_id" >
              <div class="py-1" v-if="selectedCustomer == null">
                  <input
                    v-model="searchQuery"
                    @input="fetchCustomers"
                    class="w-full border  p-2" placeholder="type to search for customers"
                  />
                  <ul v-if="customers.length" class="mt-2" style="    position: absolute;
                  background: #fdfdfd;
                  padding: 5px 20px 5px 20px;
                  cursor: pointer;">
                    <li
                      v-for="customer in customers"
                      :key="customer.id"
                      @click="selectCustomer(customer)"
                      class="cursor-pointer p-2 hover:bg-gray-100"
                    >
                      @{{ customer.company }}
                    </li>
                  </ul>
                 
                </div>
      
                <div v-if="selectedCustomer" class="mt-4">
                  <!-- Display selected suggestion details here -->
                  <div style="    display: inline-flex;
                  "><p>@{{selectedCustomer.company}}</p> <p style="margin-left: 15px;
          cursor: pointer;
          color: blue;" @click="selectCustomer(null)"> @include('icons.pencil')</p></div>
                </div>
      
          </div>
          <div class="w-full md:w-1/3" v-else>
          </div>
      
          <div class="w-full md:w-1/3" v-if="showRep">
          
      
              <select
              label="Sale Rep"
              name="user_id"
              id="user_id"
              class="mt-1 block w-full form-select"
              required
              v-model="selectedUser"
          > 
          <option v-for="user in users"  :value="user.id" :key="user.id" >@{{ user.name }}</option>
              </select>
          <x-input-error class="mt-2" :messages="$errors->get('user_id')" />
          </div>
          <div class="w-full md:w-1/3" v-else>
          </div>
          <div class="w-full md:w-1/3"   v-if="showDate">
             
              <x-text-input id="fromdate" name="fromdate" type="date" class="mt-1 block w-full" required="" :value="old('fromdate')" required autofocus autocomplete="off" />
              <x-input-error class="mt-2" :messages="$errors->get('fromdate')" />
          </div>
          <div class="w-full md:w-1/3" v-else>
          </div>
          <div class="w-full md:w-1/3" v-if="showDate">
            
              <x-text-input id="todate" name="todate" type="date" class="mt-1 block w-full" required="" :value="old('todate')" required autofocus autocomplete="off" />
              <x-input-error class="mt-2" :messages="$errors->get('todate')" />
          </div>
          <div class="w-full md:w-1/3" v-else>
          </div>
      
      </div>
      <div class="flex flex-wrap gap-6 mt-6">
         
      
          <div class="w-full md:w-1/3" v-if="showQuoteId">
              <x-input-label for="quoteid" :value="__($theType.' #')" />
              <div class="relative" style="display: inline-flex;">
                @if($theType == 'SO')
                <span class=" left-2 top-1 text-gray-500" style="padding: 10px 0px 4px 15px;
                background: rgb(239, 236, 253);
                margin-top: 4px;
                font-weight: bold;
                width: 100%;">{{ $company->companyPrefix }}</span>
                @endif
                <input id="{{$input_name}}" name="{{$input_name}}"  type="text" v-model="quoteNo"  class="mt-1 block w-full" required autocomplete="off" />
              
              </div>
   
              
              <x-input-error class="mt-2" :messages="$errors->get($input_name)" />
          </div>
          <div class="w-full md:w-1/3" v-else>
          </div>
          <div class="w-full md:w-1/3">
              
          </div>
          <div class="w-full md:w-1/3">
              
          </div>
          <div class="w-full md:w-1/3">
              <div class="flex items-center justify-end mt-6" >
                  <x-primary-button>{{ __('Search') }}</x-primary-button>
              </div>
          </div>
          
      </div>
      </div>
  </form>