<script>
    const app = Vue.createApp({
   data() {
     return {
       shippings: [],
       shippingType : '',
       isReadable: 0,
       accountNo:''
     };
   },
   computed: {
  
  },
   methods: {
  
     async fetchShippings() { 
      try {
       const response = await axios.get('/company-shippings');
       this.shippings = response.data;
      
     } catch (error) {
       console.error('Error fetching data:', error);
     }
     },

     getShippingValue(){
        if (this.shippingType === '') {
            this.isReadable = 0
            this.accountNo = ''
            }else{
                const result = this.shippings.find(item => item.id === this.shippingType);
                this.isReadable = result.changeable
                this.accountNo = result.account_no
            }
        
     }

    
   },
   async created() {
  
    await this.fetchShippings(); 
 
  
    
   },
 });

 app.mount('#app');


 
</script>
<script>
    const form = document.getElementById('proceedForm');
  form.addEventListener('keypress', function(e) {
    if (e.keyCode === 13) {
      e.preventDefault();
    }
  });
</script>