<!DOCTYPE html>

<html>



<head>

  <title></title>

  <style>

    @page {

      size: a4 portrait;

      margin: 0.5;

      padding: 0.5; // you can set margin and padding 0

    }



    body {

      margin: 0;

      font-family: 'Montserrat', Helvetica, Arial, serif;

      font-size: 1rem;

      font-weight: 400;

      line-height: 1.45;

      color: #626262;

      text-align: left;

      background-color: #ffffff;

    }



    .h2 {

      padding: 12px;

    }



    th,

    td {

      padding: 4px 0;

      text-align: left;

      vertical-align: middle;

    }



    h1,

    h2 {

      font-size: 1.74rem;

    }



    h2 {

      margin-bottom: 0.5rem;

      font-family: inherit;

      font-weight: 500;

      line-height: 1.2;

      color: #2C2C2C;

    }



    .table {

      width: 100%;

      /* margin-bottom: 1rem; */

    }



    .table th {

      font-size: 0.85rem;

    }



    /* .p {

    padding-right: 14px;

    padding-left: 14px;

} */



    .b-heading {

      background: #0A3161;

      color: #fff;

    }



    .invoice-heading {

      padding: 8px 8px;

    }



    .border {

      border: 1px solid #cbcbcb;

      border-collapse: collapse;

    }



    .borderbottom {

      border-bottom: 1px solid #cbcbcb;

    }



    .invoice_heading {

      padding: 5px 8px;

    }



    .tw2,

    .tw3,

    .tw4,

    .tw5 {

      width: 95%;

    }



    .tw1 {

      width: 80%;

    }



    .invoice_top_right_tdth {

      padding: 1px 8px;

      font-size: 0.85rem;

    }



    /* Media Queries */

    @media and only (max-width: 768px) {

      .table th {

        font-size: 0.85rem;

      }



      .tw1,

      .tw3,

      .tw4 {

        width: 88%;

      }



      .tw5 {

        width: 89%;

      }

    }

  </style>

</head>



<body>

  <table class="tw1" align="center">

    <tr>

      <td width="40%">

        <table class="table p">

          <tbody>

            <tr>



              <th width="35%" class="invoice_top_right_tdth">
                <?php echo $__env->make('icons.logo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

              </th>

            </tr>

            <tr>

              <th width="20%" class="invoice_top_right_tdth"><?php echo e($company->companyName); ?></th>

            </tr>

            <tr>

              <th width="20%" class="invoice_top_right_tdth"> <?php echo $company->companyAddress; ?>


              </th>

            </tr>

            <tr>

              <th width="20%" class="invoice_top_right_tdth"> <?php echo e($company->companyPhone); ?></th>

            </tr>



          </tbody>

        </table>

      </td>

      <td width="20%">

      </td>

      <td width="40%">



        <table class="table p">

          <tbody>





            <tr>

              <th class="invoice_top_right_tdth"></th>

              <td style="text-align: left" class="invoice_top_right_tdth">

                <b style="font-size: 18px">SO# <?php echo e($company->companyPrefix); ?><?php echo e($order->saleorder_id); ?></b>

              </td>

            </tr>





          </tbody>

        </table>

        <table class="table p">

          <tbody>





            <tr>

              <th class="invoice_top_right_tdth"></th>

              <td style="text-align: left" class="invoice_top_right_tdth">

                <b>PO Ref#</b> <?php echo e($order->ref); ?>


              </td>

            </tr>



            <tr>

              <th class="invoice_top_right_tdth"> </th>

              <td style="text-align: left" class="invoice_top_right_tdth">

                <b>Date:</b> <?php echo e(Carbon\Carbon::parse($order->orderdate)->format('d M y')); ?>


              </td>

            </tr>

            <tr>

              <th class="invoice_top_right_tdth"></th>

              <td style="text-align: left" class="invoice_top_right_tdth">

                <b>Payment:</b> <?php echo e($order->payment->name); ?>


              </td>

            </tr>

          </tbody>

        </table>

      </td>

    </tr>

  </table>

  <table class="tw2" align="center">

    <tr>

      <td>

        <table class="table border">

          <thead>

            <tr class="b-heading">

              <th colspan="3" class="invoice_heading">Billing Address</th>

            </tr>

          </thead>

          <tbody>

            <tr>

              <td colspan="2" class="invoice_top_right_tdth"><b>Company Name</b><br><?php echo e($order->customer->company); ?> </td>

              <td class="invoice_top_right_tdth"><b>Primary Contact</b><br><?php echo e($order->billingPerson); ?></td>

            </tr>



            <tr>

              <td colspan="3" class="invoice_top_right_tdth"><b>Address</b><br> <?php echo e($order->billingAddress); ?></td>

            </tr>



            <tr>

              <td class="invoice_top_right_tdth"><b>City</b><br><?php echo e($order->billingCity); ?></td>

              <td class="invoice_top_right_tdth"><b>State</b><br><?php echo e($order->getStateInfo($order->billingState_id)->name); ?></td>

              <td class="invoice_top_right_tdth"><b>Zip/Postal</b><br><?php echo e($order->billingPostal); ?></td>

            </tr>



            <tr>

              <td class="invoice_top_right_tdth"><b>Phone</b><br><?php echo e($order->billingPhone); ?></td>

              <td colspan="2" class="invoice_top_right_tdth"><b>Email</b><br><?php echo e($order->billingEmail); ?>


              </td>

            </tr>



          </tbody>

        </table>

      </td>

      <td>

        <table class="table border">

          <thead>

            <tr class="b-heading">

              <th colspan="3" class="invoice_heading">Shipping Address</th>

            </tr>

          </thead>

          <tbody>

            <tr>

              <td colspan="2" class="invoice_top_right_tdth"><b>Company

                  Name</b><br><?php echo e($order->shippingCompany); ?></td>

              <td class="invoice_top_right_tdth"><b>Primary Contact</b><br><?php echo e($order->shippingContact); ?>


              </td>

            </tr>



            <tr>

              <td colspan="3" class="invoice_top_right_tdth"><b>Address</b><br><?php echo e($order->shippingAddress); ?>


              </td>

            </tr>



            <tr>

              <td class="invoice_top_right_tdth"><b>City</b><br><?php echo e($order->shippingCity); ?></td>

              <td class="invoice_top_right_tdth"><b>State</b><br><?php echo e($order->getStateInfo($order->shippingState_id)->name); ?></td>

              <td class="invoice_top_right_tdth"><b>Zip/Postal</b><br><?php echo e($order->shippingPostal); ?></td>

            </tr>



            <tr>

              <td class="invoice_top_right_tdth"><b>Phone</b><br><?php echo e($order->shippingPhone); ?></td>

              <td colspan="2" class="invoice_top_right_tdth"><b>Email</b><br><?php echo e($order->shippingEmail); ?>


              </td>

            </tr>



          </tbody>

        </table>

      </td>

    </tr>

  </table>

  <table class="tw3" align="center">

    <tr>

      <td>

        <table class="table border">

          <thead>

            <tr class="b-heading">

              <th class="invoice_heading">Sale Rep Name</th>

              <th class="invoice_heading">Sale Rep Phone </th>



              <th class="invoice_heading">Sale Rep Email</th>

            </tr>

          </thead>

          <tbody>

            <tr>

              <td class="invoice_top_right_tdth">

                <?php echo e($order->saleRep->name ?? 'N/A'); ?>


              </td>

              <td class="invoice_top_right_tdth"><?php echo e($order->saleRep->phone ?? 'N/A'); ?></td>



              <td class="invoice_top_right_tdth"><?php echo e($order->saleRep->email ?? 'N/A'); ?></td>

            </tr>

          </tbody>

        </table>

      </td>

    </tr>





  </table>

  <table class="tw4" align="center">

    <tr>

      <td>

        <table class="table border">

          <thead>

            <tr class="b-heading">

              <th class="invoice_heading" width="20%">PART NO. </th>

              <th class="invoice_heading" width="40%">DESCRIPTION </th>

              <th class="invoice_heading" width="15%">UNIT PRICE </th>

              <th class="invoice_heading" width="10%">Qty</th>

              <th class="invoice_heading" width="15%">Total</th>

            </tr>

          </thead>

          <tbody>

            <?php



            $subtotal = 0;



            $chargestotal = 0;



            ?>



            <?php $__currentLoopData = $order->orderItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

            <tr>

              <td class="invoice_top_right_tdth"><?php echo e($item->name); ?></td>

              <td class="invoice_top_right_tdth"><?php echo e($item->description); ?></td>

              <td class="invoice_top_right_tdth"><?php echo e($company->companyCurrency); ?><?php echo e($item->price); ?></td>

              <td class="invoice_top_right_tdth"><?php echo e($item->quantity); ?></td>

              <td class="invoice_top_right_tdth">

                <?php echo e($company->companyCurrency); ?><?php echo e($item->quantity*$item->price); ?></td>

            </tr>

            <?php $subtotal = $subtotal + ($item->price*$item->quantity) ?>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

          </tbody>

        </table>

      </td>

    </tr>

  </table>



  <table class="tw5" align="center">

    <tr>

      <td style="width: 60%">



      </td>

      <td style="width: 40%">

        <table class="table border">

          <tbody>



            <tr class="borderbottom">

              <th class="invoice_heading" style="font-size: 14px !important;">Subtotal</th>

              <td class="invoice_heading" style="font-size: 14px;"><?php echo e($company->companyCurrency); ?><?php echo e($subtotal); ?></td>

            </tr>

            <?php $__currentLoopData = $order->orderCharges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $charge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

            <tr class="borderbottom">

              <th class="invoice_heading" style="font-size: 14px !important;"><?php echo e($charge->chargeName->name); ?></th>

              <td class="invoice_heading" style="font-size: 14px;"><?php echo e($company->companyCurrency); ?></span><?php echo e($charge->amount); ?></td>

            </tr>

            <?php $chargestotal = $chargestotal + $charge->amount ?>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <tr>

              <th class="invoice_heading" style="font-size: 14px !important;">Total</th>

              <td class="invoice_heading" style="font-size: 14px;"> <?php echo e($company->companyCurrency); ?></span><?php echo e(number_format($subtotal+$chargestotal,2)); ?></td>

            </tr>

          </tbody>

        </table>

      </td>

    </tr>

  </table>



  

</body>



</html><?php /**PATH /home/mush/public_html/erpportal.mushahmad.com/resources/views/pdf/order.blade.php ENDPATH**/ ?>