<?php
$mainHeader = [];

foreach ($charges as $charge) {
$optionTypeName = $charge->optionTypeName;
$isMultiple = $charge->isMultiple;

$headerExists = false;
foreach ($mainHeader as $header) {
if ($header['headerName'] === $optionTypeName) {
$headerExists = true;
break;
}
}

if (!$headerExists) {
$mainHeader[] = ['headerName' => $optionTypeName, 'isMultiple' => $isMultiple];
}
}
?>

<?php $__currentLoopData = $mainHeader; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $header): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<div class="mb-4">
    <div class="flex flex-wrap gap-6">
        <div class="w-full md:w-1/3">
        </div>
        <div class="w-full md:w-1/3">
            <?php if($header['isMultiple'] == 1): ?>
            <label class="block font-bold" style="    margin-left: 10px;    "><b><?php echo e($header['headerName']); ?></b></label>
            <?php endif; ?>
        </div>
        <div class="w-full md:w-1/3">
        </div>
    </div>
    <?php if($header['isMultiple'] == 0): ?>
    <?php $__currentLoopData = $charges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $charge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php if($header['headerName'] == $charge->optionTypeName): ?>
    <div class="flex flex-wrap gap-6">
        <div class="w-full md:w-1/3">
        </div>
        <div class="w-full md:w-1/3">
            <input type="hidden" value="<?php echo e($charge->id); ?>" name="charge_id[]">
            <label class="w-full" style="margin-top: 6px;
                margin-left: 5px;"><?php echo e($charge->name); ?></label>
        </div>
        <div class=" md:w-1/3">
            <input type="number" value="0" class="border rounded px-2 py-1 charges-amount" name="charge[]"
                @change="calculateCharges()">
        </div>
    </div>
    <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php else: ?>
    <?php $selectCharges = []; ?>
    <?php $__currentLoopData = $charges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $charge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php if($header['headerName'] == $charge->optionTypeName): ?>
    <?php
    $nname = $header['headerName'];
    $selectCharges[$nname][] = ['id' => $charge->id, 'name' => $charge->name];
    ?>
    <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <div class="flex flex-wrap gap-6 mt-4">
        <div class="w-full md:w-1/3">
        </div>
        <div class="w-full md:w-1/3">
            <select class="block  p-2 border rounded w-full px-2 py-1" name="charge_id[]">
                <?php $__currentLoopData = $selectCharges[$header['headerName']]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $selectCharge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($selectCharge['id']); ?>"><?php echo e($selectCharge['name']); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
        <div class=" md:w-1/3">
            <input type="number" value="0" class="border rounded px-2 py-1 charges-amount" name="charge[]"
                @change="calculateCharges()">
        </div>
    </div>
    <?php endif; ?>
</div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?><?php /**PATH C:\wamp64\www\itdportal2023\resources\views/components/charges.blade.php ENDPATH**/ ?>