<li class="nav-item">
    <a href="#" class="nav-link " style="display: inline-flex">
        <div> Sales</div>
        <div class="ml-1">
            <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                <path fill-rule="evenodd"
                    d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                    clip-rule="evenodd" />
            </svg>
        </div>
    </a>
    <ul class="dropdown">
        <li class="nav-item">
            <a href="#" class="nav-link">Vouchers </a>
            <ul class="dropdown">
                <li class="nav-item">
                    <a href="<?php echo e(route('quotes.create')); ?>" class="nav-link">
                        <?php echo e(__('Create Quote')); ?>

                    </a>
                </li>
                
                <li class="nav-item">
                    <a href="<?php echo e(route('quotes')); ?>" class="nav-link">
                        <?php echo e(__('Sale Orders')); ?>

                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('orders')); ?>" class="nav-link">
                        <?php echo e(__('Invoices')); ?>

                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('invoices')); ?>" class="nav-link">
                        <?php echo e(__('Credit Notes')); ?>

                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('receivable-payment')); ?>" class="nav-link">
                        <?php echo e(__('Receivable Payment')); ?>

                    </a>
                </li>


            </ul>
        </li>
        <li class="nav-item">
            <a href="#" class="nav-link">Reports </a>
            <ul class="dropdown">
                <li class="nav-item">
                    <a href="<?php echo e(route('reports.quotations')); ?>" class="nav-link">Quotation </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('reports.pending-quotations')); ?>" class="nav-link">Pending Quotation </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('reports.orders')); ?>" class="nav-link">Sale Order </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('reports.pending-orders')); ?>" class="nav-link">Pending Sale Order </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('reports.sales-register')); ?>" class="nav-link">Sales Register </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('reports.inventory-aging-report')); ?>" class="nav-link">Inventory Aging
                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('reports.credit-notes')); ?>" class="nav-link">Credit Note </a>
                </li>

            </ul>
        </li>
        <li class="nav-item">
            <a href="#" class="nav-link">Ledgers </a>
            <ul class="dropdown">
                <?php
                $ledgers = \App\Models\COA\SubAccount::select('name', 'reportLink')->where('company_id',
                auth()->user()->id)->whereIn('related_type', ['SalesTax', 'SalesInvoices', 'SalesCreditCard',
                'SalesShipping'])->get();
                ?>
                <?php $__currentLoopData = $ledgers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li class="nav-item">
                    <a href="<?php echo e($ledger->reportLink); ?>" class="nav-link"><?php echo e($ledger->name); ?></a>
                </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </ul>
        </li>
    </ul>
</li><?php /**PATH C:\wamp64\www\sp-portal\resources\views/layouts/partials/sales-navbar.blade.php ENDPATH**/ ?>