<?php
$mainHeader = [];

foreach ($charges as $charge) {
$optionTypeName = $charge->optionTypeName;
$isMultiple = $charge->isMultiple;
$chargeId = $charge->id;

$headerExists = false;
foreach ($mainHeader as $header) {
if ($header['headerName'] === $optionTypeName) {
$headerExists = true;
break;
}
}

if (!$headerExists) {
$mainHeader[] = ['headerName' => $optionTypeName, 'isMultiple' => $isMultiple, 'headerChargeId' => $chargeId];
}
}
?>
<div class="flex flex-wrap gap-6" style="width: 100%; background: grey; margin-bottom:10px; display:none">
    <div style="width: 40%; background:#f3f3f3;"></div>
    <div class="md:w-1/3" style="width:20%;     padding: 5px 0px 5px 10px;

    color: #fff;">
        Type
    </div>
    <div class="md:w-1/3" style="width:20%; padding: 5px 0px 5px 10px;  color: #fff; display:none;">
        %
    </div>
    <div class="md:w-1/3" style="width:20%;  padding: 5px 0px 5px 10px; color: #fff;">
        Amount
    </div>
</div>
<?php $__currentLoopData = $mainHeader; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $header): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<div class="mb-4">
    <div class="flex flex-wrap gap-6" style="width: 100%">
        <div style="width: 40%"></div>
        <div class="md:w-1/3" style="width:30%">
            <?php if($header['isMultiple'] == 1): ?>
            <label class=" block font-bold"><b><?php echo e($header['headerName']); ?></b></label>
            <?php endif; ?>
        </div>
        <div class="md:w-1/3" style="width:30%">

        </div>
        <div class="md:w-1/3" style="display:none;">
        </div>
    </div>
    <?php if($header['isMultiple'] == 0): ?>
    <?php $__currentLoopData = $charges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $charge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php if($header['headerName'] == $charge->optionTypeName): ?>
    <div class="flex flex-wrap">

        <div class="md:w-1/3">
            <input type="hidden" value="<?php echo e($charge->id); ?>" name="charge_id[]">

        </div>
        <div class=" md:w-1/3">


        </div>
        <div class=" md:w-1/3" style="display:inline-flex; width:100%">
            <div style="width: 40%"></div>
            <label style=" width:27%"><?php echo e($charge->name); ?></label>
            <input type="number" value="<?php echo e($charge->percentage); ?>" headerChargeId="<?php echo e($header['headerChargeId']); ?>"
                class="border rounded px-2 py-1 charges-percentage" name="charge_percentage[]"
                id="charge-percentage-<?php echo e($header['headerChargeId']); ?>" @change="calculateCharges()" step="0.01"
                style="display:none">
            <div style="width: 6%"></div>
            <input type="number" value="0" class="border rounded px-2 py-1 charges-amount" name="charge[]"
                id="charge-amount-<?php echo e($header['headerChargeId']); ?>" @change="sumofPercentage('amount')" step="0.01"
                style=" width:27%">
        </div>
    </div>
    <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php else: ?>
    <?php $selectCharges = []; ?>
    <?php $__currentLoopData = $charges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $charge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php if($header['headerName'] == $charge->optionTypeName): ?>
    <?php
    $nname = $header['headerName'];
    $selectCharges[$nname][] = ['id' => $charge->id, 'name' => $charge->name, 'multiplyAmount' =>
    $charge->multiplyAmount];
    ?>
    <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <div class="flex flex-wrap ">

        <div class="md:w-1/3">

        </div>

        <div class=" md:w-1/3">
        </div>

        <div class=" md:w-1/3" style="display: inline-flex; width:100%">
            <div style="width: 40%"></div>
            <select class="block  p-2 border rounded w-full px-2 py-1" name="charge_id[]" style=" width:27%"
                id="charge-select-<?php echo e($header['headerChargeId']); ?>" @change="changeSelectOption">
                <?php $__currentLoopData = $selectCharges[$header['headerName']]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $selectCharge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($selectCharge['id']); ?>" data-headerChargeId="<?php echo e($header['headerChargeId']); ?>"
                    data-multiplyAmount="<?php echo e($selectCharge['multiplyAmount']); ?>"><?php echo e($selectCharge['name']); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
            <input type="number" value="<?php echo e($charge->percentage); ?>" headerChargeId="<?php echo e($header['headerChargeId']); ?>"
                class="border rounded px-2 py-1 charges-percentage" id="charge-percentage-<?php echo e($header['headerChargeId']); ?>"
                name="charge_percentage[]" @change="calculateCharges()" step="0.01" style="display:none">

            <div style="width: 6%"></div>

            <input type="number" value="0" class="border rounded px-2 py-1 charges-amount" name="charge[]"
                id="charge-amount-<?php echo e($header['headerChargeId']); ?>" @change="calculateCharges()" step="0.01"
                style=" width:27%">
        </div>
    </div>
    <?php endif; ?>
</div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?><?php /**PATH /home/mush/public_html/erpportal.mushahmad.com/resources/views/components/charges.blade.php ENDPATH**/ ?>