<nav class="navbar bg-primary">

    <div class="navbar-brand">

        <i style="font-size:28px; color:$dark" class="fa fa-whatsapp"></i>

    </div>

    <button class="navbar-toggler">

        <i class="fa fa-bars" aria-hidden="true"></i>

    </button>

    <ul class="navbar-nav">

        <li class="nav-close">

            <button class="btn-nav-close">

                <span class="close-btn">+</span>

            </button>

        </li>

        <li class="nav-item">

            <a href="<?php echo e(route('dashboard')); ?>" class="nav-link">Dashboard</a>

        </li>

        <?php if(auth()->user()->role_id == 3 || auth()->user()->role_id == 1): ?>
        <?php echo $__env->make('layouts.partials.sales-navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endif; ?>
         <?php if(auth()->user()->role_id == 4 || auth()->user()->role_id == 1): ?>
        <li class="nav-item">

            <a href="#" class="nav-link " style="display: inline-flex">

                <div> Purchase</div>

                <div class="ml-1">

                    <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">

                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd" />

                    </svg>

                </div>

            </a>

            <ul class="dropdown">

                <li class="nav-item">

                    <a href="#" class="nav-link">Vouchers </a>

                    <ul class="dropdown">



                        <li class="nav-item">

                            <a href="<?php echo e(route('purchase-orders')); ?>" class="nav-link">

                                <?php echo e(__('Purchase Orders')); ?>


                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('purchases')); ?>" class="nav-link">

                                <?php echo e(__('Purchase Invoices')); ?>


                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('purchases-invoices')); ?>" class="nav-link">

                                <?php echo e(__('Debit Notes')); ?>


                            </a>

                        </li>

                        

                        

                        <li class="nav-item">

                            <a href="<?php echo e(route('payable-payment')); ?>" class="nav-link">

                                <?php echo e(__('Payable Payment')); ?>


                            </a>

                        </li>



                        

                    </ul>

                </li>

                <li class="nav-item">

                    <a href="#" class="nav-link">Reports </a>

                    <ul class="dropdown">



                        <li class="nav-item">

                            <a href="<?php echo e(route('reports.purchases')); ?>" class="nav-link">Purchase Order </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('reports.pending-purchases')); ?>" class="nav-link">Pending Purchase Order
                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('reports.purchase-register')); ?>" class="nav-link">Purchase Register </a>

                        </li>



                        <li class="nav-item">

                            <a href="<?php echo e(route('reports.debit-notes')); ?>" class="nav-link">Debit Note </a>

                        </li>

                        

                    </ul>

                </li>
                <li class="nav-item">
                    <a href="#" class="nav-link">Ledgers </a>
                    <ul class="dropdown">
                        <?php
                        $pledgers = \App\Models\COA\SubAccount::select('name', 'reportLink')->where('company_id',
                        auth()->user()->id)->whereIn('related_type', ['PurchaseTax','PurchaseShipping',
                        'PurchaseCreditCard', 'PurchaseCarriageInward'])->get();
                        ?>
                        <?php $__currentLoopData = $pledgers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ledger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="nav-item">
                            <a href="<?php echo e($ledger->reportLink); ?>" class="nav-link"><?php echo e($ledger->name); ?></a>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </ul>
                </li>
            </ul>

        </li>
        <?php endif; ?>
         <?php if(auth()->user()->role_id == 5 || auth()->user()->role_id == 1): ?>
        <li class="nav-item">

            <a href="#" class="nav-link " style="display: inline-flex">

                <div> Fixed Assets</div>

                <div class="ml-1">

                    <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">

                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd" />

                    </svg>

                </div>

            </a>

            <ul class="dropdown">

                <li class="nav-item">

                    <a href="#" class="nav-link">Vouchers </a>

                    <ul class="dropdown">

                        <li class="nav-item">

                            <a href="<?php echo e(route('fixed-assets.create')); ?>" class="nav-link">

                                <?php echo e(__('Fixed Asset Create')); ?>


                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('fixed-assets')); ?>" class="nav-link">

                                <?php echo e(__('Fixed Asset Purchase')); ?>


                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('fixed-assets.invoices')); ?>" class="nav-link">

                                <?php echo e(__('Fixed Asset Invoices')); ?>


                            </a>

                        </li>

                        



                        

                        



                        

                    </ul>

                </li>

                

            </ul>

        </li>

        <li class="nav-item">

            <a href="#" class="nav-link " style="display: inline-flex">

                <div> Finance</div>

                <div class="ml-1">

                    <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">

                        <path fill-rule="evenodd"
                            d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                            clip-rule="evenodd" />

                    </svg>

                </div>

            </a>

            <ul class="dropdown">

                <li class="nav-item">

                    <a href="#" class="nav-link">Vouchers </a>

                    <ul class="dropdown">

                        <li class="nav-item">

                            <a href="<?php echo e(route('finance.cash-receipt')); ?>" class="nav-link">

                                <?php echo e(__('Cash Receipt')); ?>


                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('finance.cash-payment')); ?>" class="nav-link">

                                <?php echo e(__('Cash Payment')); ?>


                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('finance.bank-receipt')); ?>" class="nav-link">

                                <?php echo e(__('Bank Receipts')); ?>


                            </a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('finance.bank-payment')); ?>" class="nav-link">

                                <?php echo e(__('Bank Payment')); ?>


                            </a>

                        </li>
                        <li class="nav-item">

                            <a href="<?php echo e(route('finance.journal')); ?>" class="nav-link">

                                <?php echo e(__('Journal Voucher')); ?>


                            </a>

                        </li>


                    </ul>

                </li>



            </ul>

        </li>


        <?php echo $__env->make('layouts.partials.accounts-navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php endif; ?>
    </ul>

    <div class="navbar-utils">

        <div class="utils-search">

            <ul class="navbar-nav" style="justify-content: end;">



                <li class="nav-item">

                    <a href="#" class="nav-link"><?php echo e(Auth::user()->company->companyName); ?> </a>

                    <ul class="dropdown dropdown-custom">

                        <?php

                        // Retrieve data from the session

                        $companies = session('user_companies');



                        ?>

                        <?php if($companies): ?>

                        <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <li class="nav-item">

                            <a href="<?php echo e(route('companies.switch', $company->id)); ?>" class="nav-link"><?php echo e($company->companyName); ?></a>

                        </li>

                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <?php else: ?>

                        <li class="nav-item"><a href="">Login Again to see other companies </a></li>

                        <?php endif; ?>

                    </ul>

                </li>



                <li class="nav-item">

                    <a href="#" class="nav-link"><?php echo e(Auth::user()->name); ?></a>

                    <ul class="dropdown dropdown-custom">

                        <li class="nav-item">

                            <a href="#" class="nav-link">System SOPs</a>

                        </li>



                        <li class="nav-item" style="background: rgb(132, 36, 36)">

                            <a href="<?php echo e(route('feedbacks.create')); ?>" class="nav-link" style="color:#fff;">Feedback</a>

                        </li>


                        <li class="nav-item">

                            <a href="#" class="nav-link">Aministration</a>

                        </li>

                        <li class="nav-item">

                            <a href="<?php echo e(route('profile.edit')); ?>" class="nav-link"><?php echo e(__('Profile')); ?></a>

                        </li>

                        <li class="nav-item">

                            <form method="POST" action="<?php echo e(route('logout')); ?>">

                                <?php echo csrf_field(); ?>



                                <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();

                                                    this.closest('form').submit();" class="nav-link">

                                    <?php echo e(__('Log Out')); ?>


                                </a>

                            </form>



                        </li>



                    </ul>

                </li>



            </ul>

        </div>

    </div>

</nav><?php /**PATH /home/mush/public_html/erpportal.mushahmad.com/resources/views/layouts/navigation.blade.php ENDPATH**/ ?>