<form method="post" action="<?php echo e(route('quotes.store')); ?>" class="mt-6 space-y-6" id="invoiceForm">
    <?php echo csrf_field(); ?>
    <?php if($errors->any()): ?>
    <div class="text-red-500">
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
    <?php endif; ?>
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Basic
            Information</h2>
        <?php echo $__env->make('sales.invoices.partials.basic', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Billing &
            Shipping</h2>
        <div class="flex flex-wrap gap-6">
            <div class="w-full md:w-1/3">
                <h2 class="mt-2" style="margin-bottom: 15px;font-weight: 600;">
                    Billing Information</h2>
                <?php echo $__env->make('sales.invoices.partials.billing', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>

            <div class="w-full md:w-1/3">
                <h2 class="mt-2" style="margin-bottom: 15px;font-weight: 600;">
                    Shipping Information</h2>
                <?php echo $__env->make('sales.invoices.partials.shipping', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>

    </div>
    <div class="shadow-md" style="padding: 40px;">
        <h2 class="mt-2" style="margin-bottom: 15px;font-size: 18px;font-weight: bold; ">Line Items</h2>
        <?php echo $__env->make('sales.invoices.partials.line-items', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <div class="flex flex-wrap gap-6">
        <div class="w-full md:w-1/3">
        </div>

        <div class="w-full md:w-1/3 sale-form-charges">
            <?php if (isset($component)) { $__componentOriginal5d546a7cb6949d26f9becb4505465be9 = $component; } ?>
<?php $component = App\View\Components\Charges::resolve(['category' => 'sale'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('charges'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Charges::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal5d546a7cb6949d26f9becb4505465be9)): ?>
<?php $component = $__componentOriginal5d546a7cb6949d26f9becb4505465be9; ?>
<?php unset($__componentOriginal5d546a7cb6949d26f9becb4505465be9); ?>
<?php endif; ?>
        </div>
    </div>
    <div class="flex items-center justify-end mt-4" v-if="customer_id">
        <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.primary-button','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('primary-button'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?><?php echo e(__('Save')); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
    </div>
</form><?php /**PATH C:\wamp64\www\itdportal2023\resources\views/sales/invoices/create.blade.php ENDPATH**/ ?>